<?php
	if (!defined("ENV")) exit();
	pageHeader("Site Layout", "", "ic-monitor");
	loadJS("cd_box.js");
	
	$boxes = array(
		"LayoutMyCartBox"=>"My Cart",
		"LayoutBestSellers"=>"Bestsellers",
		"LayoutSearchBox"=>"Search",
		"LayoutSubscribeBox"=>"Subscribe",
		"LayoutRecentItems"=>"Recent Items",
		"LayoutManufacturers"=>"Manufacturers"
	);
	
	
	$action = isset($action)?trim($action):"";
	if($action == "update_settings"){
		$form = isset($form)?$form:array();
		reset($form);
		foreach($form as $name=>$value){
			if(!DEMO_LOCK){
				$db->reset();
				$db->assignStr("value", $value);
				$db->update(DB_PREFIX."settings", "WHERE name='".$name."'");
			}
			$settings[$name] = $value;
		}
	}
	echo "&nbsp;";
?>
<form name="frmLayout" action="admin.php?p=design_layout" method="post">
	<input type="hidden" name="action" value="update_settings">
	<div class="admin-tabs admin-tabs-framed" id="tabs-layout">
<?php 
	pageTabs(array(
		array("title"=>"Change Site Layout", "id"=>"main"),
	), "tabs-layout", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon"></span>Top Bar Settings</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption">Is Top Bar Visible?</td>
						<td class="formItemControl">
							<select name="form[LayoutTopBarVisible]" class="short">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["LayoutTopBarVisible"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Top Bar Height (pixels)</td>
						<td class="formItemControl">
							<input class="short" type="text" name="form[LayoutTopBarHeight]" value="<?=htmlspecialchars($settings["LayoutTopBarHeight"])?>">
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Checkout Controls Location</td>
						<td class="formItemControl">
							<select name="form[LayoutCheckoutPlace]" class="short">
								<option value="TopBar">Top Bar</option>
								<option value="OverTopBar" <?=$settings["LayoutCheckoutPlace"]=="OverTopBar"?"selected":""?>>Over Top Bar</option>
							</select>
						</td>
					</tr>
				</table>
				<div class="admin-form-header"><span class="icon ic-icon"></span>Box Settings</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption">Boxes width (pixels)</td>
						<td class="formItemControl">
							<input type="text" class="short" name="form[LayoutBoxWidth]" value="<?=$settings["LayoutBoxWidth"]?>">
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Boxes Header Text Align</td>
						<td class="formItemControl">
							<select name="form[LayoutBoxHeaderLayout]" class="short">
								<option value="center">Center</option>
								<option value="left" <?=$settings["LayoutBoxHeaderLayout"]=="left"?"selected":""?>>Left</option>
								<option value="right" <?=$settings["LayoutBoxHeaderLayout"]=="right"?"selected":""?>>Right</option>
							</select>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/>
		<input type="reset" value="Reset changes"/>
	</div>
</form>
