<?php
	if (!defined("ENV")) exit();
	pageHeader("Top and Bottom Email Templates", "", "icb-envelope-pencil");
	pageNote(array(
		array("class"=>"ic-info", "text"=>"To add images to the top and bottom page, the images need to be moved to the  <br><u>".$settings["GlobalHttpUrl"]."/images/custom/</u><br>folder. You can do this moving the images via FTP, or <a href=\"javascript:showFileManager('/images/custom/');\">click here to use file manager</a>.<br>Remember, your HTML code needs to have the full path to the images.", "url"=>"", "visible"=>true),
	));

	$email_path_base = "content/engine/design/templates/emails/elements/";
	if (!file_exists("content/skins/_custom/skin/templates/emails/elements/")) mkdir("content/skins/_custom/skin/templates/emails/elements/", 0777, true);
	$email_path_skin = "content/skins/_custom/skin/templates/emails/elements/";

	if (isset($_POST['Restore']))
	{
		if (is_file($email_path_skin."top_html.html"))
			unlink($email_path_skin."top_html.html");

		if (is_file($email_path_skin."top_html.html"))
			unlink($email_path_skin."bottom_html.html");

		if (is_file($email_path_skin."top_text.html"))
			unlink($email_path_skin."top_text.html");

		if (is_file($email_path_skin."bottom_text.html"))
			unlink($email_path_skin."bottom_text.html");
	}
	else
	{
		$action = isset($action)?trim($action):"";
		if ($action == "save" && !DEMO_LOCK)
		{
			$email_top_html = isset($email_top_html)?$email_top_html:"";
			$email_bottom_html = isset($email_bottom_html)?$email_bottom_html:"";
			$email_top_text = isset($email_top_text)?$email_top_text:"";
			$email_bottom_text = isset($email_bottom_text)?$email_bottom_text:"";
			$i = 0;
			$i = $i + (file_put_contents($email_path_skin."top_html.html", stripslashes($email_top_html))?1:0);
			$i = $i + (file_put_contents($email_path_skin."bottom_html.html",  stripslashes($email_bottom_html))?1:0);
			$i = $i + (file_put_contents($email_path_skin."top_text.html",  stripslashes($email_top_text))?1:0);
			$i = $i + (file_put_contents($email_path_skin."bottom_text.html",  stripslashes($email_bottom_text))?1:0);
			if ($i<4)
			{
				$msg_alert[]="<span style=\"color:#990000\">Can't save email templates. Please check free space and write permissions.</span>";
			}
			else
			{
				$msg_alert[]= "Top & Bottom Email Templates have been successfully saved.";
			}
		}
	}

	//load emails
	if (is_file($email_path_skin."top_html.html"))
		$email_top_html = file_get_contents($email_path_skin."top_html.html");
	else
		$email_top_html = file_get_contents($email_path_base."top_html.html");

	if (is_file($email_path_skin."bottom_html.html"))
		$email_bottom_html = file_get_contents($email_path_skin."bottom_html.html");
	else
		$email_bottom_html = file_get_contents($email_path_base."bottom_html.html");

	if (is_file($email_path_skin."top_text.html"))
		$email_top_text = file_get_contents($email_path_skin."top_text.html");
	else
		$email_top_text = file_get_contents($email_path_base."top_text.html");

	if (is_file($email_path_skin."bottom_text.html"))
		$email_bottom_text = file_get_contents($email_path_skin."bottom_text.html");
	else
		$email_bottom_text = file_get_contents($email_path_base."bottom_text.html");

	if (isset($msg_alert))
	{
		foreach ($msg_alert as $key => $val){
			if(strlen($val)>0)
			pageNote(array(
				array("class"=>"ic-info", "text"=>"<span style=\"color:#990000\"><b>$val</b></a>", "url"=>"", "visible"=>true)
			));
		}
	}
	unset($msg_alert);
?>
<form name="frmEmailTopBottom" action="admin.php?p=email_top_bottom" method="post">
	<input type="hidden" name="action" value="save">
	<div class="admin-tabs admin-tabs-framed" id="tabs-email">
<?php 
	pageTabs(array(
		array("title"=>"Update Email Top &amp; Bottom", "id"=>"main"),
	), "tabs-email", false);
?>

		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first editor-manager"><span class="icon ic-icon ic-pencil"></span>Top for HTML Email</div>
				<div style="margin:20px 30px;">
					<textarea wrap="off" cols="50" rows="8" style="width:100%;height:150px;" class="no-mce editor-area" id="email_top_html" name="email_top_html"><?=htmlentities(stripslashes($email_top_html))?></textarea>
				</div>
				
				<div class="admin-form-header editor-manager"><span class="icon ic-icon ic-pencil"></span>Bottom for HTML Email</div>
				<div style="margin:20px 30px;">
					<textarea wrap="off" cols="50" rows="8" style="width:100%;height:150px;" class="no-mce editor-area" id="email_bottom_html" name="email_bottom_html"><?=htmlentities(stripslashes($email_bottom_html))?></textarea>
				</div>
				
				<div class="admin-form-header"><span class="icon ic-icon  ic-pencil"></span>Top for Text Email</div>
				<div style="margin:20px 30px;">
					<textarea class="no-mce" wrap="off" cols="50" rows="8" style="width:100%;height:150px;" name="email_top_text"><?=htmlentities(stripslashes($email_top_text))?></textarea>
				</div>
				
				<div class="admin-form-header"><span class="icon ic-icon  ic-pencil"></span>Bottom for Text Email</div>
				<div style="margin:20px 30px;">
					<textarea class="no-mce" wrap="off" cols="50" rows="8" style="width:100%;height:150px;" name="email_bottom_text"><?=htmlentities(stripslashes($email_bottom_text))?></textarea>
				</div>
			</div>
		</div>
	</div>
	
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/>
		<input type="reset" value="Reset form"/>
		<input type="submit" name="Restore" value="Restore Defaults"/>
	</div>
</form>
