<?php

	if (!defined("ENV")) exit();

	header('Content-Type: application/json');
	
	$result = new StdClass();

	$endicia = new Shipping_Endicia($settings['EndiciaShippingLabelsAccountID'], $settings['EndiciaShippingLabelsPassword'], $settings['EndiciaShippingLabelsTestMode']);

	$password = $endicia->getEndiciaAccountPassword();
	
	$passconfirm = isset($_POST['passconfirm']) ? $_POST['passconfirm'] : '';
	$amount = isset($_POST['amount_to_add']) ? $_POST['amount_to_add'] : '0';

	if (($passconfirm == $password) && ($amount > '0'))
	{
		$result->result = 1;
		$response = $endicia->AddFundsToEndiciaAccount($amount);
		$getPostageStatusCode = $response['Status'];
		$request_id = isset($response['RequestID']) ? $response['RequestID'] : '';
		$certifiedi = $response['CertifiedIntermediary'];
		$serial_number = $certifiedi['SerialNumber'];
		$postage_balance = $certifiedi['PostageBalance'];
		$ascending_balance = $certifiedi['AscendingBalance'];
		$device_id = isset($certifiedi['DeviceID']) ? $certifiedi['DeviceID'] : '';

		$db->reset();
		$db->assignStr('request_id', $request_id);
		$db->assignStr('serial_number', $serial_number);
		$db->assignStr('postage_balance', $postage_balance);
		$db->assignStr('ascending_balance', $ascending_balance);
		$db->assignStr('device_id', $device_id);
		$db->assignStr('request_status', $getPostageStatusCode);
		$db->insert(DB_PREFIX.'endicia_recreditrequests');

		if($getPostageStatusCode == '0')
		{
			$result->result = 1;
			$result->newbal = $postage_balance;
			$result->serial = $serial_number;
			$result->requestid = $request_id;
			$result->device = $device_id;
		}
		else
		{
			$result->result = 2;
			$result->message = $response['ErrorMessage'];
		}
	}		
	else
	{
		$result->result = 0;
	}

echo json_encode($result);
