<?php

	if (!defined("ENV")) exit();

	$nonce = isset($_REQUEST["nonce"]) ? $_REQUEST["nonce"] : "";
	$orderId = intval($_POST['orderid']);

	if (isset($_POST['mode']))
	{

		$orderId = $_POST['orderid'];
		$shipFromName = $_POST['shipfromname'];
		$shipFromAddress1 = $_POST['shipfromaddress1'];
		$shipFromAddress2 = $_POST['shipfromaddress2'];
		$shipFromCity = $_POST['shipfromcity'];
		$shipFromState = $_POST['shipfromstate'];
		$shipFromZip = $_POST['shipfromzip'];
		$shipFromZip4 = '';
		$shipFromPhone = $_POST['shipfromphone'];
		$shipFromCountryName = $_POST['shipfromcountryname'];
		$shipFromCountryCode = $_POST['shipfromcountrycode'];

		if ($shipFromCountryCode == 'US' && ($p = strpos($shipFromZip, '-') !== false))
		{
			$shipFromZip = substr($shipFromZip, 0, $p);
			$shipFromZip4 = substr($shipFromZip, $p + 1);
		} 

		$shipToName = $_POST['shiptoname'];
		$shipToCompany = '0';
		$shipToAddress1 = $_POST['shiptoaddress1'];
		$shipToAddress2 = $_POST['shiptoaddress2'];
		$shipToCity = $_POST['shiptocity'];
		$shipToState = $_POST['shiptostate'];
		$shipToZip = $_POST['shiptozip'];
		$shipToZip4 = '';
		$shipToPhone = $_POST['shiptophone'];
		$shipToCountryName = $_POST['shiptocountryname'];
		$shipToCountryCode = $_POST['shiptocountrycode'];

		if ($shipToCountryCode == 'US' && ($p = strpos($shipToZip, '-') !== false))
		{
			$shipToZip = substr($shipToZip, 0, $p);
			$shipToZip4 = substr($shipToZip, $p + 1);
		}

		$daysAdvance = $_POST['DaysAdvance'];
		$mailClass = $_POST['MailClass'];
		$mailPieceShape = $_POST['MailShape'];
		$weightOz = floatval($_POST['WeightOz']);
		$declaredValue = floatval($_POST['DeclaredValue']);
		$packageDescription = $_POST['PackageDescription'];
		$width = floatval($_POST['Width']);
		$length = floatval($_POST['Length']);
		$height = floatval($_POST['Height']);
		
		$insurance = $_POST['Insurance']; if ($insurance == 'None') {$insurance = 'OFF';}
		$certifiedMail = isset($POST['CertifiedMail']) ? 'ON' : 'OFF';
		$restrictedDelivery = isset($POST['RestrictedDelivery']) ? 'ON' : 'OFF';
		$noWeekendDelivery = isset($POST['NoWeekendDelivery']) ? 'TRUE' : 'FALSE';
		$returnReceipt = isset($POST['ReturnReceipt']) ? 'ON' : 'OFF';
		$signatureConfirmation = isset($POST['AdultSignature']) ? 'ON' : 'OFF';
		$stealth = isset($POST['Stealth']) ? 'TRUE' : 'FALSE';

		$labelSize = '4x6';
		$labelType = 'Default';
		$labelSubtype = 'None';

		if ($mailPieceShape == 'Card' || $mailPieceShape == 'Letter')
		{
			$labelType='DestinationConfirm';
			$labelSize = '6x4';
		}

		if ($certifiedMail == 'ON')
		{
			$labelType = 'CertifiedMail';
			$labelSize = '4x6';
		}
		
		if ($shipToCountryCode != 'US')
		{
			$labelType = 'International';
			$labelSize = '4x6c';
		}

		if ($shipToCountryCode != 'US')
		{
			$labelSize="4x6c";
		}

		$endicia = new Shipping_Endicia($settings['EndiciaShippingLabelsAccountID'], $settings['EndiciaShippingLabelsPassword'], $settings['EndiciaShippingLabelsTestMode']);

		$data = new Shipping_EndiciaLabelData(
			$shipFromName, $shipFromAddress1, $shipFromAddress2, $shipFromCity, $shipFromState, $shipFromZip, $shipFromZip4, $shipFromPhone, $shipFromCountryName, $shipFromCountryCode,
			$shipToName, $shipToCompany, $shipToAddress1, $shipToAddress2, $shipToCity, $shipToState, $shipToZip, $shipToZip4, $shipToPhone, $shipToCountryName, $shipToCountryCode,
			$labelType, $labelSubtype, $labelSize, 
			$mailClass, $daysAdvance, $weightOz, $mailPieceShape, $width, $length, $height,
			$stealth, $insurance, 
			$signatureConfirmation, $declaredValue, $packageDescription, $restrictedDelivery, $noWeekendDelivery
		);

		$response = $endicia->GetEndiciaShippingLabel($data);

		$isGetLabelStatusCode = $response['Status'];

		$status = 200;
		$ret = array();

		if ($isGetLabelStatusCode == '0')
		{
			$encodedLabelImage = isset($response['Label']['Image']) ?  $response['Label']['Image'] : $response['Base64LabelImage'];
			$trackingNumber = $response['TrackingNumber'];
			$finalPostage = $response['FinalPostage'];

			$db->reset();
			$db->assignStr('tracking_number', $trackingNumber);
			$db->assignStr('label_amount', $finalPostage);
			$db->assignStr('pic_number', isset($response['PIC']) ? $response['PIC'] : $response['CustomsNumber']);
			$db->assignStr('order_id', $orderId);
			$labelId = $db->insert(DB_PREFIX.'endicia_shippinglabels');

			$labelUrl = $endicia->SaveEndiciaShippingLabel($encodedLabelImage, $orderId, $labelId, $trackingNumber);

			$db->reset();
			$db->assignStr('label_url', $labelUrl);
			$db->update(DB_PREFIX.'endicia_shippinglabels', 'WHERE slid='.intval($labelId));

			$ret = array(
				'result' => 1,
				'error' => '',
				'trackingNumber' => $trackingNumber,
				'labelUrl' => $labelUrl
			);
		}
		else
		{
			if (isset($response['ErrorMessage']))
			{
				//$status = 500;
				$ret = array(
					'result' => 0,
					'error' => $response['ErrorMessage'],
					'trackingNumber' => '',
					'labelUrl' => ''
				);
			}
		}

		header('HTTP/1.0 '.$status);
		header('Content-Type: application/json');
		echo json_encode($ret);
		die();
	}