<?php

	if (!defined("ENV")) exit();
//DataCash changes for Fulfill and Refund

	if($datacash_payment_status != ""){
		$db->query("SELECT * FROM ".DB_PREFIX."payment_methods WHERE id='".$datacash_method."' AND active='Yes'");
		if($db->moveNext()){ 
			require_once("content/engine/payment/payment_datacash.php"); 			
			$datacash = new PAYMENT_DATACASH();
			if(!isset($total_amount)) $total_amount = $order_data["total_amount"];
			if($total_amount <= $datacash_partial_capture) 
				$datacash_partial_capture = $total_amount;			
			$response ="";
						
			switch($datacash_payment_status){
				case "fulfill":{
					$result= $datacash->fulfill($db, $auth_code, $reference_id, $datacash_partial_capture,$oid,$uid);		
					if($datacash->is_error){
						$datacash_error = $result; 
						pageHeader("Error Updating Order DataCash Status", "", "icb-list2");
						pageNote(array(
							array("class"=>"ic-cross", "text"=>"<b>Error processing transaction. Error message: ".$datacash->error_message."</b>", "url"=>"", "visible"=>true)
						));
					}
					elseif($result ==1){
						$db->reset();
						$db->assignStr("payment_status", "Received");
						$db->assignStr("custom1", $datacash_payment_status);
						$db->assign("custom3", $datacash_partial_capture);						
						$db->update(DB_PREFIX."orders", "WHERE oid='".$oid."'");						
					}
					break;									
				}
				case "refund":{
					$result= $datacash->refund($db, $auth_code, $reference_id, $datacash_partial_capture,$oid,$uid);		
							
					if($datacash->is_error){
						$datacash_error = $result; 
						pageHeader("Error Updating Order DataCash Status", "", "icb-list2");
						pageNote(array(
							array("class"=>"ic-cross", "text"=>"<b>Error processing transaction. Error message: ".$datacash->error_message."</b>", "url"=>"", "visible"=>true)
						));
					}
					elseif($result ==1){
						$db->reset();
						$db->assignStr("payment_status", "Refunded");
						$db->assignStr("custom1", $datacash_payment_status);						
						$db->update(DB_PREFIX."orders", "WHERE oid='".$oid."'");						
					}
					break;	
				}								
				case "cancel":{
					$result= $datacash->cancelation($db, $auth_code, $reference_id,$oid,$uid);		
							
					if($datacash->is_error){
						$datacash_error = $result; 
						pageHeader("Error Updating Order DataCash Status", "", "icb-list2");
						pageNote(array(
							array("class"=>"ic-cross", "text"=>"<b>Error processing transaction. Error message: ".$datacash->error_message."</b>", "url"=>"", "visible"=>true)
						));
					}
					elseif($result ==1){
						$db->reset();
						$db->assignStr("payment_status", "Canceled");
						$db->assignStr("custom1", $datacash_payment_status);						
						$db->update(DB_PREFIX."orders", "WHERE oid='".$oid."'");						
					}
					break;	
					break;
				}
			}			
		} 
	}			

?>