<?php
	if (!defined("ENV")) exit();

	$db->query("SELECT * FROM ".DB_PREFIX."admins WHERE aid='".intval($admin_auth_id)."'");
	if ($admin = $db->moveNext())
	{
		$name = $db->col["name"];
		$email = $db->col["email"];
		$email_mode = $db->col["email_mode"];
		$username = $db->col["username"];
		$privileges = explode(",", $db->col["rights"]);
		$active = $db->col["active"];
		$receive_notifications = explode(",", $db->col["receive_notifications"]);
		$ph = $db->col["password_history"];
		$password_history = $ph != "" ? unserialize(base64_decode($ph)) : array();
	}
	loadJS("cf_profile.js");
	loadJS("content/vendors/sha1/sha1-min.js", '');
	pageHeader("Your Administrator Profile", "", "icb-id");
	$pageNote = array(
		array("class"=>"ic-info", "text"=>"<b>Please note: required fields are bold</b>", "url"=>"", "visible"=>true),
		array("class"=>"ic-warning", "text"=>"<span style=\"color:#990000;font-weight:bold;\">In order to comply with PCI security requirements you must change password now!</span>", "url"=>"", "visible"=>isset($auth_force_change_password))
	);
	
	if (!defined('IS_INTUIT_FEDERATED')) $pageNote[] = array("class"=>"ic-info", "text"=>"Leave password field blank if you don't want to change it", "url"=>"", "visible"=>true);
	pageNote($pageNote);
?>
<form name="frmProfile" action="admin.php?p=profile_process" method="post" onsubmit="return CheckProfileForm(this)" autocomplete="off">
	<input type="hidden" name="nonce" id="nonce" value="<?=create_nonce('profile_update');?>" />
	<div class="admin-tabs admin-tabs-framed" id="tabs-profile">
<?php 
	pageTabs(array(
		array("title"=>"Administrator Properties", "id"=>"main"),
	), "tabs-profile", false);
?>
<script type="text/javascript"><!--
var ForcePCIPasswd = <?=$settings["SecurityForceCompliantAdminPasswords"] == "YES" ? "true" : "false"; ?>;
var password_history = new Array();
<?php
	if(count($password_history) > 0){
		$i = 0;
		foreach ($password_history as $passwd)
		{
			echo "password_history[".($i++)."] = '".$passwd["p"]."';\n";  
		}
	}
?>
--></script>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon"></span>Basic Information &amp; Security</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption required">First &amp; Last Name</td>
						<td class="formItemControl"><input maxlength="30" type="text" name="name" value="<?=htmlspecialchars($name)?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption required">Email Address</div>
						<td class="formItemControl"><input type="text" name="email" maxlength="200" value="<?=htmlspecialchars($email)?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Email Notifications</div>
						<td class="formItemControl">
							<select name="email_mode">
								<option value="html" <?=$email_mode=="html"?"selected":""?>>HTML enriched messages</option>
								<option value="text" <?=$email_mode=="text"?"selected":""?>>Plain text messages</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">&nbsp;</td>
						<td class="formItemControl">
							<input <?=in_array("invoice", $receive_notifications)?"checked":""?> type="checkbox" name="receive_notification[invoice]" value="invoice" id="rn_invoice"> <label for="rn_invoice">Receive invoice notifications</label><br/>
							<input <?=in_array("outofstock", $receive_notifications)?"checked":""?> type="checkbox" name="receive_notification[outofstock]" value="outofstock" id="rn_outofstock"> <label for="rn_outofstock">Receive out of stock messages</label><br/>
							<input <?=in_array("signup", $receive_notifications)?"checked":""?> type="checkbox" name="receive_notification[signup]" value="signup" id="rn_signup"> <label for="rn_signup">New user registration notifications</label><br/>
							<input <?=in_array("notactive", $receive_notifications)?"checked":""?> type="checkbox" name="receive_notification[notactive]" value="notactive" id="rn_notactive"> <label for="rn_notactive">Notify me if an administrator account has been inactive for over 90 days</label><br/>
							<input <?=in_array("product_review", $receive_notifications)?"checked":""?> type="checkbox" name="receive_notification[product_review]" value="product_review" id="rn_product_review"> <label for="rn_product_review">Email admin when a review is created</label>
							<?php
							if (!defined('IS_INTUIT_FEDERATED')) {
							?>
							<br/><br/>Remind me to change password after<br/>
							<input value="pwdchange30" <?=in_array("pwdchange30", $receive_notifications) ? "checked" : ""?> type="radio" name="receive_notification[password_change]" id="rn_password_change_30"> <label for="rn_password_change_30">30 days</label><br/>
							<input value="pwdchange60" <?=in_array("pwdchange60", $receive_notifications) ? "checked" : ""?> type="radio" name="receive_notification[password_change]" id="rn_password_change_60"> <label for="rn_password_change_60">60 days</label><br/>
							<input value="pwdchange90" <?=in_array("pwdchange90", $receive_notifications) ? "checked" : ""?> type="radio" name="receive_notification[password_change]" id="rn_password_change_90"> <label for="rn_password_change_90">90 days</label><br/>
							<input value="pwdchangenever" <?=in_array("pwdchangenever", $receive_notifications) ? "checked" : ""?> value="" type="radio" name="receive_notification[password_change]" id="rn_password_change_never"> <label for="rn_password_change_never">Never</label>
							<?php
							} // endif
							?>
						</td>
					</tr>
					<?php
					if (!defined('IS_INTUIT_FEDERATED')) {
					?>
					<tr valign="top">
						<td class="formItemCaption required">Username</td>
						<td class="formItemControl"><input type="text" disabled maxlength="200" value="<?=htmlspecialchars($username)?>"></tr>
					</tr>
					<tr valign="top">
						<td class="formItemCaption required">Password</td>
						<td class="formItemControl">
							<input type="password" name="password" maxlength="200" value="" onKeyUp="pwdStrength(this.value)">
							<div id="pwdDescription"></div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption required">Password Confirmation</div>
						<td class="formItemControl"><input type="password" name="password2" maxlength="200" value="" ></td>
					</tr>
					<?php if (_ACCESS_INTUIT_ANYWHERE) { ?>
					<tr valign="top">
						<td class="formItemCaption required">Quickbooks Account</div>
						<td class="formItemControl">
							<?php if ($admin['openid'] != '') { ?>
							Linked (<a href="admin.php?p=profile_openid&chart=true&unlink=true">Unlink</a>)
							<?php } else { ?>
							Unlinked (<a href="admin.php?p=profile_openid&chart=true">Link</a>)
							<?php } ?>
							<div class="formItemComment">To Connect to Quickbooks to sync your products, customers, and orders, <a href="admin.php?p=settings_intuit">Click here</a></div>
						</td>
					</tr>
					<?php } ?>
					<?php
					} // endif
					?>
				</table>

				<div class="admin-form-header"><span class="icon ic-icon"></span>Expiration</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption">Does this account expire?</td>
						<td class="formItemControl static">
							<?php echo $admin["expires"] == "0" ? "No" : "Yes"?>
						</td>
					</tr>
<?php				
					if ($admin["expires"] == "1")
					{
?>					<tr valign="top">
						<td class="formItemCaption">Expiration date / time</td>
						<td class="formItemControl">
							<?php echo date('F j, Y, g:ia', strtotime($admin["expiration_date"]));?>
						</td>
					</tr>
<?php
					}
?>
				</table>

				<div class="admin-form-header"><span class="icon ic-icon"></span>Your Privileges</div>
				<div class="formItemControl big clearfix">
					
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" <?=in_array("categories", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Manage product categories</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_products" <?=in_array("products", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Add/edit/delete products, bulk loaders</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_users" <?=in_array("users", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Manage site users</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_orders" <?=in_array("orders", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Manage orders</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_emails" <?=in_array("emails", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Edit and send emails</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_admins" <?=in_array("admins", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Manage site administrators</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_global" <?=in_array("global", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Edit global site settings</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_business" <?=in_array("business", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Manage payment, shipping, taxes and discounts </div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_content" <?=in_array("content", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Manage site content (pages, themes, colors and files)</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_export" <?=in_array("database", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Clear / Export MySQL database</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_stats" <?=in_array("stats", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">See statistics</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_marketing" <?=in_array("marketing", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Marketing</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_ccs" <?=in_array("ccs", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel">Access to CCS</div>
					</div>
					<div class="privilegeItem">
						<div class="privilegeItemCheck"><input type="checkbox" disabled="disabled" id="id_all" <?=in_array("all", $privileges)?"checked":""?>></div>
						<div class="privilegeItemLabel"><b>All privileges</b></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/>
		<input type="reset" value="Reset form">
	</div>
</form>
