<?php
	if (!defined("ENV")) exit();
?>
<div class="admin-form-header">
	<div class="admin-form-header-buttons">
		<a href="<?php echo $_SERVER["PHP_SELF"]."?".($_SERVER["QUERY_STRING"]);?>&printing" target="_blank" title="Print Report"><span class="icon ic-icon ic-printer"></span></a>
	</div>
	<span class="icon ic-icon ic-list"></span>Individual Orders By Date (<?php echo GetReportDate();?>)
</div>
<?php
	$db->query("
		SELECT 
			".DB_PREFIX."orders.*,
			DATE_FORMAT(".DB_PREFIX."orders.placed_date, '%M %e, %Y') AS order_date,
			".DB_PREFIX."users.fname, ".DB_PREFIX."users.lname
		FROM ".DB_PREFIX."orders 
		INNER JOIN ".DB_PREFIX."users ON ".DB_PREFIX."users.uid = ".DB_PREFIX."orders.uid AND ".DB_PREFIX."users.removed='No'
		WHERE 
			".DB_PREFIX."orders.removed='No' AND
			".DB_PREFIX."orders.status_date >= '".$mysql_from."' AND 
			".DB_PREFIX."orders.status_date <= '".$mysql_to."' AND 
			".DB_PREFIX."orders.status='Completed' AND 
			".DB_PREFIX."orders.payment_status='Received'
		ORDER BY
			".DB_PREFIX."orders.order_num
	");
	
	if ($db->numRows()>0)
	{
?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table admin-stat-table">
	<thead>
		<tr>
			<th class="item-num">ID</th>
			<th>Customer</th>
			<th>Create Date</th>
			<th class="text-align-right" width="10%">Subtotal</th>
			<th class="text-align-right" width="10%">Discount</th>
			<th class="text-align-right" width="10%">Tax</th>
			<th class="text-align-right" width="10%">Shipping</th>
			<th class="text-align-right" width="10%">Total</th>
		</tr>
	</thead>
	<tbody>
<?php
		$subtotal = 0;
		$discount = 0;
		$tax = 0;
		$shipping = 0;
		$total = 0;
		$i = 0;
		
		while ($db->moveNext())
		{
			$subtotal+=$db->col["subtotal_amount"];
			$discount = $discount + $db->col["discount_amount"] + $db->col["promo_discount_amount"];
			$tax+=$db->col["tax_amount"];
			$shipping = $shipping + $db->col["shipping_amount"] + ($db->col["handling_separated"]?$db->col["handling_amount"]:0);
			$total+=$db->col["total_amount"];
?>
			<tr>
				<td class="item-num"><?php echo $db->col["order_num"];?></td>
				<td><?php echo gs($db->col["fname"]." ".$db->col["lname"]);?></td>
				<td><?php echo $db->col["order_date"];?></td>
				<td class="text-align-right"><?php echo getAdminPrice($db->col["subtotal_amount"]);?></td>
				<td class="text-align-right">-<?php echo getAdminPrice($db->col["discount_amount"] + $db->col["promo_discount_amount"]);?></td>
				<td class="text-align-right"><?php echo getAdminPrice($db->col["tax_amount"]);?></td>
				<td class="text-align-right"><?php echo getAdminPrice($db->col["shipping_amount"] + ($db->col["handling_separated"]?$db->col["handling_amount"]:0));?></td>
				<td class="text-align-right"><?php echo getAdminPrice($db->col["total_amount"]);?></td>
			</tr>

<?php
			$i++;
		}
?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="3" class="text-align-right">Total:</td>
			<td class="text-align-right"><?php echo getAdminPrice($subtotal);?></td>
			<td class="text-align-right">-<?php echo getAdminPrice($discount);?></td>
			<td class="text-align-right"><?php echo getAdminPrice($tax);?></td>
			<td class="text-align-right"><?php echo getAdminPrice($shipping);?></td>
			<td class="text-align-right"><?php echo getAdminPrice($total);?></td>
		</tr>
	</tfoot>
</table>
<?php
	}
	else
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>"No data available for selected period", "url"=>"", "visible"=>true)
		));
	}
