<?php
	if (!defined("ENV")) exit();
?>
<div class="admin-form-header">
	<div class="admin-form-header-buttons">
		<a href="<?php echo $_SERVER["PHP_SELF"]."?".($_SERVER["QUERY_STRING"]);?>&printing" target="_blank" title="Print Report"><span class="icon ic-icon ic-printer"></span></a>
	</div>
	<span class="icon ic-icon ic-list"></span>Users Activity Report (<?php echo GetReportDate();?>)
</div>
<?php
	$db->query("
		SELECT 
			".DB_PREFIX."users.fname, ".DB_PREFIX."users.lname, ".DB_PREFIX."users.uid,
			COUNT(*) AS views
		FROM ".DB_PREFIX."users 
		INNER JOIN ".DB_PREFIX."statistics ON ".DB_PREFIX."users.uid = ".DB_PREFIX."statistics.uid
		WHERE 
			".DB_PREFIX."users.login <> 'ExpressCheckoutUser' AND ".DB_PREFIX."users.removed='No' AND
			".DB_PREFIX."statistics.visit_date >= '".$mysql_from."' AND 
			".DB_PREFIX."statistics.visit_date <= '".$mysql_to."'
		GROUP BY ".DB_PREFIX."users.uid
		ORDER BY
			views DESC
	");
	
	if ($db->numRows()>0)
	{
?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table admin-stat-table">
	<thead>
		<tr>
			<th class="item-num">#</th>
			<th>User Name</th>
			<th class="stat-bar">&nbsp;</th>
			<th class="text-align-right" width="10%">Views</th>
		</tr>
	</thead>
	<tbody>
<?php
		$total = 0;
		$i = 0;
		$ruler = 0;
		
		while ($db->moveNext())
		{
			$total+=$db->col["views"];
			if ($i == 0)
			{
				$ruler = 100 / $db->col["views"];
			}
?>
			<tr>
				<td class="item-num"><?php echo $i+1;?></td>
				<td><a href="admin.php?p=user&uid=<?php echo $db->col["uid"];?>"><?php echo gs($db->col["fname"]." ".$db->col["lname"]);?></a></td>
				<td class="stat-bar"><?php echo GetStatBar($db->col["views"] * $ruler);?></td>
				<td class="text-align-right"><?php echo $db->col["views"];?></td>
			</tr>

<?php		
			$i++;
		}
?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="4" class="text-align-right">Total views: <?php echo $total;?></td>
		</tr>
	</tfoot>
</table>
<?php
	}
	else
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>"No data available for selected period", "url"=>"", "visible"=>true)
		));
	}
