var timerLogout = null;
var timerLogoutActive = true;
var logoutCountdown = 60;
var logoutCountdownInterval = null;
var logoutTimer = 0;
var displayCountdownAtMinutes = 10;

$(document).ready(function(){
	
	/*
	 * Admin Session Auto Logout
	 */
	if (!isFederated)
	{
		$("#buttonAutoLogoutNow").click(function(){
			logOut();
		});
		$("#buttonAutoLogoutCancel").click(function(){
			clearInterval(logoutCountdownInterval);
			resetLogoutTimeout();
			tb_remove();
		});

		$("body").click(resetLogoutTimeout);
		$("body").scroll(resetLogoutTimeout);
		$("body").keypress(resetLogoutTimeout);
		$("body").mousemove(resetLogoutTimeout);
		resetLogoutTimeout();

		//reset server session every 10 minutes
		setInterval("$.getJSON('admin.php?chart=1', function(){});", 60 * 10 * 1000);
	}
	
	$("#admin-loader").dialog({
		'modal'			: true,
		'resizable'     : false,
		'autoOpen'      : false,
		'draggable'     : false,
		'width'         : 400,
		'height'        : 95,
		'stack'         : false,
		'overlay'       : 0.8,
		'title'			: 'Loading data',
		'dialogClass'	: 'admin-loader',
		'closeOnEscape'	: false,
		'open': function(ev, ui){
			adminCorrectDialogPosition("#admin-loader");
		}
	});
	$("#admin-loader").parent().find('.ui-dialog-titlebar').remove();
	
	
	/**
	 * Tooltips
	 */ 
	$('.tooltip').each(function()
	{
		$(this).qtip({
			content: $('.tooltip-popup', $(this).parent()).html(),
			position: {my: 'left center', at: 'right center', target: $(this) },
			show:{solo:true},
			style:{
				classes: 'ui-tooltip-light ui-tooltip-shadow'
			},
			hide: {
				leave: false,
				delay: 1500
			}
		});
	});
});


function utf8_decode(str_data)
{
	var tmp_arr = [], i = 0, ac = 0, c1 = 0, c2 = 0, c3 = 0;
	str_data += '';
	while (i < str_data.length)
	{
	c1 = str_data.charCodeAt(i);
		if (c1 < 128)
	{
		tmp_arr[ac++] = String.fromCharCode(c1);
		i++;
	}
	else if (c1 > 191 && c1 < 224)
	{
		c2 = str_data.charCodeAt(i + 1);
		tmp_arr[ac++] = String.fromCharCode(((c1 & 31) << 6) | (c2 & 63));
		i += 2;
	}
	else
	{
		c2 = str_data.charCodeAt(i + 1);
		c3 = str_data.charCodeAt(i + 2);
		tmp_arr[ac++] = String.fromCharCode(((c1 & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
		i += 3;
	}
	}
	return tmp_arr.join('');
}

/**
 * Pulled from PHPJS
 */
function sprintf () {
	// http://kevin.vanzonneveld.net
	// +   original by: Ash Searle (http://hexmen.com/blog/)
	// + namespaced by: Michael White (http://getsprink.com)
	// +    tweaked by: Jack
	// +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// +      input by: Paulo Freitas
	// +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// +      input by: Brett Zamir (http://brett-zamir.me)
	// +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// *     example 1: sprintf("%01.2f", 123.1);
	// *     returns 1: 123.10
	// *     example 2: sprintf("[%10s]", 'monkey');
	// *     returns 2: '[	  monkey]'
	// *     example 3: sprintf("[%'#10s]", 'monkey');
	// *     returns 3: '[####monkey]'
	var regex = /%%|%(\d+\$)?([-+\'#0 ]*)(\*\d+\$|\*|\d+)?(\.(\*\d+\$|\*|\d+))?([scboxXuidfegEG])/g;
	var a = arguments,
		i = 0,
		format = a[i++];

	// pad()
	var pad = function (str, len, chr, leftJustify) {
		if (!chr) {
			chr = ' ';
		}
		var padding = (str.length >= len) ? '' : Array(1 + len - str.length >>> 0).join(chr);
		return leftJustify ? str + padding : padding + str;
	};

	// justify()
	var justify = function (value, prefix, leftJustify, minWidth, zeroPad, customPadChar) {
		var diff = minWidth - value.length;
		if (diff > 0) {
			if (leftJustify || !zeroPad) {
				value = pad(value, minWidth, customPadChar, leftJustify);
			} else {
				value = value.slice(0, prefix.length) + pad('', diff, '0', true) + value.slice(prefix.length);
			}
		}
		return value;
	};

	// formatBaseX()
	var formatBaseX = function (value, base, prefix, leftJustify, minWidth, precision, zeroPad) {
		// Note: casts negative numbers to positive ones
		var number = value >>> 0;
		prefix = prefix && number && {
			'2': '0b',
			'8': '0',
			'16': '0x'
		}[base] || '';
		value = prefix + pad(number.toString(base), precision || 0, '0', false);
		return justify(value, prefix, leftJustify, minWidth, zeroPad);
	};

	// formatString()
	var formatString = function (value, leftJustify, minWidth, precision, zeroPad, customPadChar) {
		if (precision != null) {
			value = value.slice(0, precision);
		}
		return justify(value, '', leftJustify, minWidth, zeroPad, customPadChar);
	};

	// doFormat()
	var doFormat = function (substring, valueIndex, flags, minWidth, _, precision, type) {
		var number;
		var prefix;
		var method;
		var textTransform;
		var value;

		if (substring == '%%') {
			return '%';
		}

		// parse flags
		var leftJustify = false,
			positivePrefix = '',
			zeroPad = false,
			prefixBaseX = false,
			customPadChar = ' ';
		var flagsl = flags.length;
		for (var j = 0; flags && j < flagsl; j++) {
			switch (flags.charAt(j)) {
			case ' ':
				positivePrefix = ' ';
				break;
			case '+':
				positivePrefix = '+';
				break;
			case '-':
				leftJustify = true;
				break;
			case "'":
				customPadChar = flags.charAt(j + 1);
				break;
			case '0':
				zeroPad = true;
				break;
			case '#':
				prefixBaseX = true;
				break;
			}
		}

		// parameters may be null, undefined, empty-string or real valued
		// we want to ignore null, undefined and empty-string values
		if (!minWidth) {
			minWidth = 0;
		} else if (minWidth == '*') {
			minWidth = +a[i++];
		} else if (minWidth.charAt(0) == '*') {
			minWidth = +a[minWidth.slice(1, -1)];
		} else {
			minWidth = +minWidth;
		}

		// Note: undocumented perl feature:
		if (minWidth < 0) {
			minWidth = -minWidth;
			leftJustify = true;
		}

		if (!isFinite(minWidth)) {
			throw new Error('sprintf: (minimum-)width must be finite');
		}

		if (!precision) {
			precision = 'fFeE'.indexOf(type) > -1 ? 6 : (type == 'd') ? 0 : undefined;
		} else if (precision == '*') {
			precision = +a[i++];
		} else if (precision.charAt(0) == '*') {
			precision = +a[precision.slice(1, -1)];
		} else {
			precision = +precision;
		}

		// grab value using valueIndex if required?
		value = valueIndex ? a[valueIndex.slice(0, -1)] : a[i++];

		switch (type) {
		case 's':
			return formatString(String(value), leftJustify, minWidth, precision, zeroPad, customPadChar);
		case 'c':
			return formatString(String.fromCharCode(+value), leftJustify, minWidth, precision, zeroPad);
		case 'b':
			return formatBaseX(value, 2, prefixBaseX, leftJustify, minWidth, precision, zeroPad);
		case 'o':
			return formatBaseX(value, 8, prefixBaseX, leftJustify, minWidth, precision, zeroPad);
		case 'x':
			return formatBaseX(value, 16, prefixBaseX, leftJustify, minWidth, precision, zeroPad);
		case 'X':
			return formatBaseX(value, 16, prefixBaseX, leftJustify, minWidth, precision, zeroPad).toUpperCase();
		case 'u':
			return formatBaseX(value, 10, prefixBaseX, leftJustify, minWidth, precision, zeroPad);
		case 'i':
		case 'd':
			number = (+value) | 0;
			prefix = number < 0 ? '-' : positivePrefix;
			value = prefix + pad(String(Math.abs(number)), precision, '0', false);
			return justify(value, prefix, leftJustify, minWidth, zeroPad);
		case 'e':
		case 'E':
		case 'f':
		case 'F':
		case 'g':
		case 'G':
			number = +value;
			prefix = number < 0 ? '-' : positivePrefix;
			method = ['toExponential', 'toFixed', 'toPrecision']['efg'.indexOf(type.toLowerCase())];
			textTransform = ['toString', 'toUpperCase']['eEfFgG'.indexOf(type) % 2];
			value = prefix + Math.abs(number)[method](precision);
			return justify(value, prefix, leftJustify, minWidth, zeroPad)[textTransform]();
		default:
			return substring;
		}
	};

	return format.replace(regex, doFormat);
}


function getp(){return base64_decode('cGlubmFjbGVjYXJ0');}
function getpp(){return base64_decode('UGlubmFjbGVDYXJ0');}	

function base64_decode(data)
{
	var b64 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
	var o1, o2, o3, h1, h2, h3, h4, bits, i = 0,
	ac = 0,
	dec = "",
	tmp_arr = [];

	if (!data)
	{
	return data;
	}

	data += '';

	do { // unpack four hexets into three octets using index points in b64
	h1 = b64.indexOf(data.charAt(i++));
		h2 = b64.indexOf(data.charAt(i++));
	h3 = b64.indexOf(data.charAt(i++));
	h4 = b64.indexOf(data.charAt(i++));
	bits = h1 << 18 | h2 << 12 | h3 << 6 | h4;

	o1 = bits >> 16 & 0xff;
	o2 = bits >> 8 & 0xff;
	o3 = bits & 0xff;

	if (h3 == 64)
	{
		tmp_arr[ac++] = String.fromCharCode(o1);
	}
	else if (h4 == 64)
	{
		tmp_arr[ac++] = String.fromCharCode(o1, o2);
	}
	else
	{
		tmp_arr[ac++] = String.fromCharCode(o1, o2, o3);
	}
	} while (i < data.length);


	dec = tmp_arr.join('');
	dec = utf8_decode(dec);

	return dec;
}

function displayCountdown()
{
	if (timerLogoutActive)
	{		
		if (logoutTimer >= (adminAutoLogoutTimeInMinutes * 2 - 2)  - (displayCountdownAtMinutes * 2)) {
			$("#logout-countdown").show();
			var cyclesLeft = (adminAutoLogoutTimeInMinutes * 2 - 2) - logoutTimer;

			var logoutMinutes = Math.floor((cyclesLeft / 2) + .5);
			$("#logout-countdown").html('Auto logout in ' + logoutMinutes + ' minutes');
		}
	}
}

function autoLogoutPopup()
{
	logoutTimer = 0;
	if (timerLogoutActive)
	{
		logoutCountdown = 60;
		$('#spanLogoutCountdown').html(logoutCountdown--);
		tb_show("Session expires", "#TB_inline?height=140&width=400&inlineId=divAutoLogout&modal=true");
		logoutCountdownInterval = setInterval("autoLogoutCountdown()", 1000);
		if (timerLogout != null) clearInterval(timerLogout);
	}
}

function correctDialogPosition(selector)
{
	var t = ($(window).height() - parseInt($(selector).parent().height())) / 2;
	if (t < 0) t = 0;
	var l = ($(window).width() - parseInt($(selector).parent().width())) / 2;
	if (l < 0) l = 0;
	//alert(t);
	$(selector).parent().css('top', parseInt(t) + 'px').css('left', parseInt(l) + 'px');
}

function autoLogoutCountdown()
{
	$('#spanLogoutCountdown').html(logoutCountdown--);
	if (logoutCountdown<=0)
	{
		if (logoutCountdownInterval != null)
		{
			clearInterval(logoutCountdownInterval);
			logoutCountdownInterval = null;
		}
		logOut();
	}
}

function logOut()
{
	if (intuitConnectionActive == 1)
	{
		intuit.ipp.anywhere.logout(function() {
			$("#frmLogout").submit();
		});
	}
	else
	{
		$("#frmLogout").submit();
	}
}

function setLogoutTimeout()
{
	if (timerLogoutActive)
	{
		if (timerLogout != null) clearInterval(timerLogout);
		logoutTimer = 0;
		//28 = 30sec intervals in 14 minutes before popup shown, 8 = 30sec intervals display message at 10 minutes left
		timerLogout = setInterval("logoutTimer++; if (logoutTimer >= (adminAutoLogoutTimeInMinutes * 2 - 2)) autoLogoutPopup(); else displayCountdown();", 30000);
	}
}

function resetLogoutTimeout()
{			
	if (timerLogout != null) clearInterval(timerLogout);
	logoutTimer=0;
	setLogoutTimeout();

	$("#logout-countdown").html("").hide();
}

function confirmLogout()
{
	if (confirm("Do you really want to logout?"))
	{
		logOut();
	}
}

var imageWin = null;
function showPopupImage(image_url, image_width, image_height){
	var w = screen.width;
	var h = screen.height;
	var ww = image_width * 1 + 20;
	var wh = image_height * 1 + 35;
	var wx = (w - ww)/2;
	var wy = (h - wh)/2;
	
	if(imageWin != null){
		imageWin.close();
	}
	imageWin = null;
	imageWin = window.open(
		"", 
		"ProductImageWindow", 
		"titlebar=yes, toolbar=no, menubar=no, status=no, directories=no, resizable=no, scrollbars=no, top=" + wy.toString() + ", left=" + wx.toString() + ", width=" + ww.toString() + ", height=" + wh.toString() + ""
	);
	while(imageWin==null);
	imageWin.focus();
	
	imageWin.document.body.innerHTML = "";
	imageWin.document.write('<body style="padding:10px;margin:0px">');
	imageWin.document.write('<img hspace="0" vspace="0" src="' + image_url + '"><br>');
	imageWin.document.write('<div align="center" style="font-family:arial;font-color:black;font-size:11px;padding-top:4px;"><a href="javascript:window.close();" style="color:#0000AA;">Close Window</a></div>');
	imageWin.document.write('</body>');
	imageWin.width = ww;
	imageWin.height = wh;
}

var filemanagerWin = null;
function showFileManager(folder){
	var w = screen.width;
	var h = screen.height;
	var window_width = 950;
	var window_height = 600;
	var wx = (w - window_width)/2;
	var wy = (h - window_height)/2;
	
	if (filemanagerWin != null) filemanagerWin.close();
	
	filemanagerWin = null;
	filemanagerWin = window.open(
		"admin.php?p=filemanager&printing=true&folder=" + folder, 
		"FileManagerWindow", 
		"titlebar=yes, toolbar=no, addressbar=no, menubar=no, status=no, directories=no, resizable=yes, scrollbars=yes, top=" + wy.toString() + ", left=" + wx.toString() + ", width=" + window_width.toString() + ", height=" + window_height.toString() + ""
	);
	while(filemanagerWin==null);
	filemanagerWin.focus();
}

function isEmail(entry){
	var rex= /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
	return rex.test(entry);
}

function isDate(year,month,day){
	//var dteDate;
	//dteDate = new Date(year,month,day);
	//return ((day==dteDate.getDate()) && (month==dteDate.getMonth()) && (year==dteDate.getFullYear()));

	//old function starts here
	if((month < 1) || (month > 12)) return false;
	if((month == 4 || month == 6 || month == 9 || month ==11) && (day > 30)) return false;
	if((month == 2) && (day > 29)) return false;
	var isVYear = (year % 4 == 0) && ((year % 100 != 0) || (year % 400 == 0));
	if(month == 2 && !isVYear && day > 28) return false;
	return true;
}

function isColor(color){
	var rex = /^((\#([a-fA-F0-9]{6}))|([a-zA-Z]{1,100})){1}$/
//	var rex = /^(\#([a-fA-F0-9]{6}))|([a-zA-Z]{1,100})$/
	return rex.test(color);
}

function checkNumber(number){
	//check numbers in 123,123,122.23 or 123123123.123 or 123,123,123 or 123123123 format
	var rex = /^((\d{1,3},)?(\d{3},)?(\d{3})|(\d{1,}))((\.(\d{1,}))?)$/;
	return rex.test(number);
}

function checkSignedNumber(number){
	//check numbers in 123,123,122.23 or 123123123.123 or 123,123,123 or 123123123 format
	var rex = /^-?((\d{1,3},)?(\d{3},)?(\d{3})|-?(\d{1,}))((\.(\d{1,}))?)$/;
	return rex.test(number);
}

function checkIpAddress(ip_address)
{
	return $.ddm.validateIpFormat({'ip': ip_address});
}

function isInt(number){
	var rex = /^(\d{1,})$/;
	return rex.test(number);
}

function isOrderNumInRange(number){
	if (!isInt(number))
		return false;

	var i = parseInt(number);
	return i < 3000000000;
}

function isText(txt){
	var rex = /.{0,}((\w{1,})|(\d{1,})|([\~\!\@\#\$\%\^\&\*\(\)\_\+\`\-\=\{\}\[\]\:\;\"\'\<\>\,\.\?\/\\\|]{1,2})).{0,}/;
	return rex.test(txt);
}

function isURL(url){
	//var rex = /^http:\/\/([\w-]+\.)+[\w\-]*(/[\w- ./?%=]*)?$/
	//return rex.test(url);
}

function normalizeNumber(number){
	var s = number;
	var ss = "";
	var c = "";
	var rex = /^(\d{1})|(\.{1})$/;
	for(i=0; i < s.length; i++){
		c = s.charAt(i);
		if(rex.test(c)){
			ss = ss + c;
		}
	}
	return parseFloat(ss);
}

function checkAddCurrency(frm){
	if(frm.elements["code"].value == ""){
		alert("Please enter currency code!");
		frm.elements["code"].focus();
		return false;
	}
	if(frm.elements["title"].value == ""){
		alert("Please enter currency title!");
		frm.elements["title"].focus();
		return false;
	}
	if(!checkNumber(frm.elements["exchange_rate"].value)){
		alert("Please enter valid exchange rate!");
		frm.elements["exchange_rate"].focus();
		return false;
	}
	if(frm.elements["symbol_left"].value == "" && frm.elements["symbol_right"].value == ""){
		alert("Please enter left or right symbol!");
		frm.elements["symbol_left"].focus();
		return false;
	}
}

function pwdStrengthPoints(password)
{
	var points   = 0;
	if (password.length >= 8) points++; // 1 point for length over 6
	if ((password.match(/[a-z]/)) && (password.match(/[A-Z]/))) points++; // 1 lower & uppercase characters
	if (password.match(/\d+/)) points++; // 1 point for a number
	if (password.match(/.[!,@,#,$,%,^,&,*,?,_,~,-,(,)]/)) points++; // 1 point for special character
	if (password.length > 12) points++; // 1 point for length over 12
	if (points > 4) points = 4;
	return points;
}

function pwdStrength(password)
{
	var txt = "Password has to be atleast 8 characters long, do not include common words or names, and combine uppercase letters, lowercase letters, numbers.";

	var state = new Array();
	state[0] = 'Weakest';
	state[1] = 'Weak';
	state[2] = 'Improving';
	state[3] = 'Strong';
	state[4] = 'Strongest';
	
	var color = new Array();
	color[0] = '#ff5100';
	color[1] = '#ffa600';
	color[2] = '#fede00';
	color[3] = '#ecea00';
	color[4] = '#bdf800';
	
	var points = pwdStrengthPoints(password);

    document.getElementById("pwdDescription").innerHTML = 
		'<div style="padding-top:5px;">' + 
			'<div style="float:left;height:18px;border:0px solid #dddddd;"><div style="width:218px;">' +
				'<div style="width:125px;padding:0px;float:left;">' +
    				'<div style="width:' + points * 30 + 'px;float:left;height:14px;background-color:' + color[points] + ';"></div>' + 
    				'<div style="width:' + (120 - points * 30) + 'px;float:left;height:14px;background-color:#f0f0f0;"></div>' + 
				'</div>' + 
				'<div style="width:50px;float:left;height:14px;padding-left:2px"><b>' + state[points] + '</b></div>' + 
			'</div></div>' +
    		'<div style="clear:both;padding-top:2px;">' + txt + '</div>' +
		'</div>'
    ;
}

/**
 * Shows big load spinner
 * @param msg
 */
function adminShowSpinner(msg, override_unload, timeout)
{
	if ($("#admin-loader").data('override_unload') == true) return;
	
	if (msg == null) msg = 'Updating data';
	$("#admin-loader .message").html(msg + "...");
	
	if (override_unload != undefined && override_unload != null)
	{
		$("#admin-loader").data('override_unload', true);
	}
	
	if (timeout != undefined && timeout != null && parseInt(timeout) > 0)
	{
		setTimeout(function(){
			adminHideSpinner();
		}, parseInt(timeout));
	}
	
	$("#admin-loader").dialog('open').dialog('option', 'position', 'center');
}

/**
 * Hides spinner
 */
function adminHideSpinner()
{
	$("#admin-loader").dialog("close");
}

function adminCorrectDialogPosition(selector)
{
	var t = ($(window).height() - parseInt($(selector).parent().height())) / 2;
	if (t < 0) t = 0;
	//alert(t);
	$(selector).parent().css('top', parseInt(t) + 'px');
}

function showChartToolTip(name, x, y, contents) {
	$('<div id="chart-tooltip-'+name+'" class="chart-tooltip">' + contents + '</div>').css( {
		position: 'absolute',
		display: 'none',
		top: y,
		left: x + 20,
		opacity: 0.8
	}).appendTo("body").fadeIn(200);
}