$(document).ready(function(){
	$('.admin-tabs .admin-tabs-items ul li.admin-tab:first-child').addClass('first');
	
	/**
	 * Video tutorials
	 */
	$('#video-tutorials').dialog({
		autoOpen: false,
		dialogClass: 'video-tutorials-dialog',
		resizable: false,
		closeOnEscape: false,
		width: 450,
		title: 'Video Tutorials'
	});

	$('.video-tutorials-dialog.ui-dialog').css('border', '8px solid #999999');

	$('#video-tutorials-link').click(function(){
		$('#video-tutorials').dialog('open');
	});
});

/**
 * Quick links menus
 * @param item
 */
function onQuickLink(item){
	item.className = item.active=="yes"?"quickLinkActiveOn":"quickLinkOn";
	window.status = "Admin Area: " + item.statustext;
}
function offQuickLink(item){
	item.className = item.active=="yes"?"quickLinkActiveOff":"quickLinkOff";
	window.status = "Admin Area";
}

function showHideDiv(img, divName){
	d = document.getElementById(divName);
	if(d){
		if(d.style.display == "none"){
			d.style.display = "block";
			img.src = "images/icons/a/arrow_up.png";
		}
		else{
			d.style.display = "none";
			img.src = "images/icons/a/arrow_down.png";
		}
	}
}

function setActiveTab(tabs, name)
{
	$("#" + tabs + "  > .admin-tabs-items > ul > li.admin-tab").each(function(){
		if ($(this).attr("id") != "admin-tab-" + name)
		{
			$(this).removeClass('admin-tab-active');
		}
	});
	$("#" + tabs + " > .admin-tab-sheet").each(function(){
		if ($(this).attr("id") != "admin-tab-sheet-" + name)
		{
			$(this).addClass('hidden').hide();
		}
	});

	if ($("#" + tabs + " > .admin-tabs-items > ul > #admin-tab-" + name).length > 0)
	{
		$("#" + tabs + " > .admin-tabs-items > ul > #admin-tab-" + name).addClass('admin-tab-active');
		$("#" + tabs + " > #admin-tab-sheet-" + name).removeClass('hidden').show();
	}
	else
	{
		$("#" + tabs + " > .admin-tabs-items > ul > li:first").addClass('admin-tab-active');
		$("#" + tabs + " div.admin-tab-sheet:first").removeClass('hidden').show();
	}

	$("#idActiveTabHidden").val(name);
}
