$(document).ready(function(){
	
	$('#field-qr_generate_media').change(function(){
		$('#field-qr_generate_error_check').removeAttr("disabled");
		$('#field-qr_generate_default_size').removeAttr("disabled");
		
		var e = $('#field-qr_generate_error_check').val();
		var s = $('#field-qr_generate_default_size').val();
		switch ($(this).val())
		{
			case "1" :e = "L";s = "4";break;
			case "2" :e = "L";s = "8";break;
			case "3" :e = "M";s = "8";break;
			case "4" :e = "M";s = "12";break;
			case "5" :e = "Q";s = "4";break;
			case "6" :e = "H";s = "4";break;
		}
		$('#field-qr_generate_error_check').val(e);
		$('#field-qr_generate_default_size').val(s);
		if ($(this).val() != "0")
		{
			$('#field-qr_generate_error_check').attr("disabled", "disabled");
			$('#field-qr_generate_default_size').attr("disabled", "disabled");
		}
	});
	$('#field-qr_generate_media').change();
	
	$("#qr-generate-button").click(function(){
		$("#qr-generate-button").val('Please wait...').attr('disabled', 'disabled');
		$.ajax({
			url: "admin.php?p=marketing_qr_ajax&chart=true",
			dataType: 'json',
			data: {
				action: 'generate_product_qr',
				product_id: $("form[name='frmProduct'] input[name='pid']").val(), 
				campaign_id: $("#field-qr_generate_campaign_id").val(),
				url_type: $("#field-qr_generate_product_url_type").val(),
				image_type: $("#field-qr_generate_image_type").val(),
				error_check: $("#field-qr_generate_error_check").val(),
				default_size: $("#field-qr_generate_default_size").val()
			},
			success: function(data){
				$("#qr-generate-button").val('Generate').removeAttr('disabled');		
				$("#dialog-qr-generated").data('path', data.path);
				$("#dialog-qr-generated").dialog('option', 'minWidth', 350);
				$("#dialog-qr-generated").dialog('option', 'width', data.width + 70);
				$("#dialog-qr-generated").dialog('option', 'height', data.height + 150);
				$("#dialog-qr-generated-image").attr("src", data.url);
				$("#dialog-qr-generated-image").attr("src", data.url);
				$("#dialog-qr-generated-link-url").html(data.link_url);
				$("#dialog-qr-generated").dialog('open');
			}
		});
	});
	
	/**
	 * Generated dialog
	 */
	$("#dialog-qr-generated").dialog({
		autoOpen: false,
		resizable: false,
		title: 'Generated QR Code',
		buttons: {
			'Download': function(){
				var src = 'admin.php?p=marketing_qr_ajax&chart=true&action=download_qr&path=' + $("#dialog-qr-generated").data('path');
				$('#iframe-qr-download').attr('src', src);
			},
			'Close': function(){
				$("#dialog-qr-generated").dialog('close');
			}
		}
	});
})