$(document).ready(function(){
	
	$("#dialog-widget").dialog({
		autoOpen: false,
		resizable: false,
		modal: true,
		title: 'Widget Code',
		width: 750,
		height: 520,
		buttons: {
			'Close': function(){
				$("#dialog-widget").dialog('close');
			}
		}
	});
	
	$("#widget-generate-button").click(function()
	{	
		$.ajax({
			url: "admin.php?p=marketing_widgets_ajax&chart=true",
			dataType: 'json',
			data: {
				action: 'get_product_static',
				pid: $("#frmProduct input[name='pid']").val(),
				campaign_id: $('#field-widget_campaign_id').val(),
				widget_type: $('#field-form-widgets_type').val(),
				widget_image_type: $('#field-form-widgets_image_type').val(),
				widget_style: $('#field-form-widgets_style').val()
			},
			success: function(data) {
				if (data.result)
				{
					$("#dialog-widget").dialog('open');
					$("#widget-code").html(data.widget_html);
				}
				else
				{
					alert(data.error);
				}
			}
		});
	});
})