<?php
/**
 * Update order items
 */

	if (!defined("ENV")) exit();
	
	if ($settings["VisitorMayAddItem"] == "YES" || ($user->auth_ok || $userCookie))
	{
		/**
		 * TODO: buysafe
		 */
		/**
		if ($settings["buysafe_active"] == "Yes" && isset($_REQUEST["WantsBondField"]))
		{
			$db->reset();
			$db->assignStr("buysafe_wants_bond", $_REQUEST["WantsBondField"]);
			$db->update(DB_PREFIX."orders", "WHERE oid='".intval($order->oid)."'");
		}
		**/
		
		/**
		 * Update quantities
		 */
		$oa_quantity = isset($_REQUEST["oa_quantity"]) ? $_REQUEST["oa_quantity"] : array();
		$oa_quantity = is_array($oa_quantity) ? $oa_quantity : array();
		
		if (count($oa_quantity) > 0)
		{
			$order->errors = array();
			$updateResult = $order->updateItems($oa_quantity);
			
			if (!$updateResult)
			{
				$_REQUEST["oa_todo"] = 'update';
				$flashMessages = new FlashMessages();
				$flashMessages->setMessages($order->errors);
			}
			
			$order->checkQuantityDiscounts();
			$order->checkFreeProducts();
			$order->openShipping();
			$order->checkShippingDigital();
			$order->recalcOrderData();
		}
		
		/**
		 * Set / unset InsureShip
		 */
		if ($settings["InsureShipActive"] == "Yes") //when switching to OPC, we do not pass "insureship_active" variable
		{
			$db->reset();
			
			if (isset($_REQUEST["insureship_active"]))
			{
				require_once("content/classes/class.insureship.php");
				$insureShip = new InsureShip($settings["InsureShipAccountId"], $settings["InsureShipApiURL"]);
				$insureShipAmount = $insureShip->getRate($order->subtotalAmount);
				$db->assignStr("insureship_active", $order->insureShipActive = $insureShipAmount > 0 ? 1 : 0);
				$db->assignStr("insureship_amount", $order->insureShipAmount = $insureShipAmount > 0 ? $insureShipAmount : 0);
			}
			else
			{
				$db->assignStr("insureship_active", 0);
				$db->assignStr("insureship_amount", 0);
				$order->insureShipActive = 0;
				$order->insureShipAmount = 0;
			}
			
			$db->update(DB_PREFIX."orders", "WHERE oid='".intval($order->oid)."'");
			$order->recalcOrderData();
		}
		
		/**
		 * What are we going to do after item updated
		 */
		$oa_todo = isset($_REQUEST["oa_todo"]) ? $_REQUEST["oa_todo"] : "update";
		switch ($oa_todo)
		{
			case "continue" : 
			{
				$backurl = $url_http;
				break;	
			}
			case "checkout" :
			{
				$backurl = $url_checkout;
				break;	
			}
			case "update" :
			default :
			{
				// do nothing		
			}
		}
		
		/**
		 * Check min subtotal amount
		 */
		$userLevel = ($user->auth_ok) ? ($user->level) : ($userCookie ? $userCookie["l"] : 0);
		$min_subtotal_amount = normalizeNumber($settings["MinOrderSubtotalLevel".$userLevel]);
		
		if ($min_subtotal_amount > $order->subtotalAmount)
		{
			$backurl = false;
		}
		
		/**
		 * Check promo code
		 */
		$promo_result = true;
		
		if ($settings["DiscountsPromo"] == "YES")
		{
			// trying to get promo code from post or from session

			$promoCode = isset($_REQUEST['promo_code']) ? trim($_REQUEST['promo_code']) : null;

			if (!is_null($promoCode))
			{
				$_SESSION["order_promo_code"] = $promoCode; 
			}
			else 
			{
				$promoCode = isset($_SESSION['order_promo_code']) ? $_SESSION['order_promo_code'] : null;
			}

			// reset promo
			$order->resetPromo();

			// if promo exist, reset it
			if (!is_null($promoCode) && $promoCode && $promoCode != '')
			{
				$promoResult = $order->checkPromoCode($promoCode);
				if (!$promoResult)
				{
					$backurl = false;
					$promo_error = true;
				}
			}
		}
	}
