#!/bin/sh
#DDM Cron Setup Script
#Usage: sh setupcron.sh (install|uninstall)
path=`pwd`
php=`whereis php | awk {'print $2'}`

if [ $1 == "install" ]; then

echo -n "Backing up crontab"
cp /etc/crontab /etc/crontab.installbak

echo "0 0,12 * * * $php $path/content/admin/cron/cron.php" >> /etc/crontab

echo "*/5 * * * * $php $path/content/admin/cron/cron.php 5min" >> /etc/crontab

echo "0 0 * * * $php $path/content/admin/plugins/dollar_days_import/cron.php \"$path/\"" >> /etc/crontab

echo
echo "Installation Complete"

elif
	[ $1 == "uninstall" ]; then
echo -n "Backing up crontab"
cp /etc/crontab /etc/crontab.uninstallbak

sed "s:0 0,12 * * * $php $path/content/admin/cron/cron.php::g" /etc/crontab > /tmp/crontab && mv -f /tmp/crontab /etc/crontab

sed "s:*/5 * * * * $php $path/content/admin/cron/cron.php 5min::g" /etc/crontab > /tmp/crontab && mv -f /tmp/crontab /etc/crontab

sed "s:0 0 * * * $php $path/content/admin/plugins/dollar_days_import/cron.php \"$path/\"::g" /etc/crontab > /tmp/crontab && mv -f /tmp/crontab /etc/crontab
sed "/^$/d" /etc/crontab > /tmp/crontab && mv -f /tmp/crontab /etc/crontab
sed "/./!d" /etc/crontab > /tmp/crontab && mv -f /tmp/crontab /etc/crontab

echo
echo "Uninstallation complete"
else
echo "Please enter install or uninstall to use this script"
fi
