<?php
/**
 * idevAffiliate integration
 */

	if (!defined("ENV")) exit();

	pageHeader("iDevAffiliate Integration", "", "icb-fast-forward");
	$action = isset($action)?trim($action):"";

	if ($action == "update_settings" && !DEMO_LOCK)
	{
		$form = isset($_POST["form"]) ? $_POST["form"] : array();
		foreach ($form as $name=>$value)
		{
			$db->reset();
			$db->assignStr("value", $value);
			$db->update(DB_PREFIX."settings", "WHERE name='".$db->escape($name)."'");
			$settings[$name] = $value;
		}
	}
	pageNote(array(
		array("class"=>"ic-info", "text"=>"Since 1999, iDevAffiliate is the original in self managed affiliate software. Adding affiliate tracking software to your site is one of the most effective ways to achieve more sales, traffic and search engine rankings. Set up your account for as little as $99.00 - <a href=\"http://www.idevdirect.com/affiliates/idevaffiliate.php?id=10140\" target=\"_blank\">click here</a>, enter coupon code: pcrocks for a 20% savings on the Standard, Gold or Platinum package.", "url"=>"", "visible"=>true),
		array("class"=>"ic-info", "text"=>"This page allows you to integrate iDevAffiliate Application. Click the Login button below to go to iDevAffiliate admin area.", "url"=>"", "visible"=>true)
	));

	if ($settings["AffiliateActive"] == "YES")
	{
?>
<a href="http://www.idevdirect.com"><img src="images/admin/idev.gif" align="right" hspace="10" vspace="10" border="0"></a>
<div style="border:1px solid gray;background-color:#f0f0f0;padding:10px;text-align:center;clear:both;">
	<form action="<?= gs($settings["AffiliateAreaURL"]) ?>admin/setup.php" method="post" target="_idev">
		<input type="hidden" name="aduser" value="<?= gs($settings["AffiliateUsername"]) ?>">
		<input type="hidden" name="adpass" value="<?= gs($settings["AffiliatePassword"]) ?>">
		<input type="Submit" value="Login">
	</form>
</div>
<br/>
<?php
	}
?>
<script type="text/javascript">
	$(document).ready(function(){
		$('#form-affiliate').submit(function(){
			$('#affiliate_url').val($.trim($('#affiliate_url').val().replace(/[/]*$/, '/')));
		});
	});
</script>
<form action="admin.php?p=affiliate" id="form-affiliate" method="post">
	<input type="hidden" name="action" value="update_settings">
	<div class="admin-tabs admin-tabs-framed" id="tabs-aff">
<?php
	pageTabs(array(
		array("title"=>"iDevAffiliate Setup", "id"=>"main"),
		array("title"=>"iDevAffiliate Advanced Setup", "id"=>"advanced")
	), "tabs-aff", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon"></span>iDevAffiliate Integration Settings</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption">Do you want to enable iDevAffiliate?</td>
						<td class="formItemControl">
							<select class="short" name="form[AffiliateActive]">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["AffiliateActive"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">iDevAffiliate Installation URL :</td>
						<td class="formItemControl">
							<input id="affiliate_url" type="text" name="form[AffiliateAreaURL]" value="<?=gs($settings["AffiliateAreaURL"])?>"><br />
							<div class="formItemComment">Ensure you have a trailing slash (/) in your URL. (Example: https://www.yourdomain.com/idev<strong>/</strong>)</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">iDevAffiliate Username :</td>
						<td class="formItemControl"><input type="text" name="form[AffiliateUsername]" value="<?=gs($settings["AffiliateUsername"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">iDevAffiliate Password :</td>
						<td class="formItemControl"><input type="text" name="form[AffiliatePassword]" value="<?=gs($settings["AffiliatePassword"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">iDevAffiliate Link Text :</td>
						<td class="formItemControl"><input type="text" name="form[AffiliateLinkText]" value="<?=gs($settings["AffiliateLinkText"])?>"></td>
					</tr>
				</table>
			</div>
		</div>
		<div id="admin-tab-sheet-advanced" class="admin-tab-sheet hidden">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon"></span>iDevAffiliate Integration Settings</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption">Variable for Amount :</td>
						<td class="formItemControl"><input type="text" name="form[AffiliateVarAmount]" value="<?=gs($settings["AffiliateVarAmount"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Variable for OrderId :</td>
						<td class="formItemControl"><input type="text" name="form[AffiliateVarOrderId]" value="<?=gs($settings["AffiliateVarOrderId"])?>"></td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/>
		<input type="reset" value="Reset form"/>
	</div>
</form>
