<script type="text/javascript">
function setFileListHeight()
{
	$('#filemanager-list').css('max-height', '10px');
	$('#filemanager-list').css('max-height', ($('#filemanager-container').height() - 380 )+ 'px');
}
$(document).ready(function(){
	$(window).resize(function(){
		setFileListHeight();
	});
	
	setFileListHeight();
});
</script>
<style type="text/css">
body.print{padding:0px;margin:0px;}
</style>
<?php

	if (!defined("ENV")) exit();

	if (!$auth_ok) exit ();
	
	$folder = isset($folder)?trim($folder):"/";

	$folder = str_replace('\\', '/', $folder);
	$parts = explode('/', $folder);
	if (in_array('..', $parts))
	{
		$folder = '';
	}

	if (!$printing)
	{
		pageHeader("Launch File Manager", "", "icb-file");
		pageNote(array(
			array("class"=>"ic-file", "text"=>"Click here to launch File Manager", "url"=>"javascript:showFileManager('".gs($folder)."')", "visible"=>true),
			array("class"=>"ic-info", "text"=>"You will need to disable any pop-up blockers to run File Manager", "url"=>"", "visible"=>true)
		));
	}
	else
	{
		if (!AccessManager::checkAccess('FILEMANAGER'))
		{
			echo '<div style="background:white;">';
			AccessManager::notAllowed();
			echo '</div>';
			exit;
		}
		
		$imageExt = array("gif", "png", "jpg", "bmp");
		$modes = array("dir"=>"Browser", "edit"=>"Editor", "view"=>"Viewer");
		$mode = isset($mode)?trim($mode):"dir";
		$mode = array_key_exists($mode, $modes)?$mode:"dir";
		
		function getFileIcon($file_name)
		{
			$ext = getFileExt($file_name);
			if ($ext != "")
			{
				switch($ext){
					case "bmp" : return "file_format_bmp.png"; break;
					case "gif" : return "file_format_gif.png"; break;
					case "png" : return "file_format_png.png"; break;
					case "jpg" : return "file_format_jpg.png"; break;
					default : return "document.png"; break;
				}
			}
			else
			{
				return "document.png";
			}
		}
	
		$folder = isset($folder) ? trim($folder) : "/";
		$folder = $folder == "" ? "/" : $folder;
		$path_prefix = ".";
		
		//check folder
		$real_folder = str_replace("\\", "/", realpath($path_prefix.$folder));
		
		$cart_folder = realpath(".");
		
		if ($cart_folder == "")
		{
			$cart_folder = isset($_SERVER["SCRIPT_FILENAME"])?str_replace("\\\\", "/", dirname($_SERVER["SCRIPT_FILENAME"])):'';
		}
		if ($cart_folder == "")
		{
			$cart_folder = isset($_SERVER["DOCUMENT_ROOT"])?str_replace("\\\\", "/", dirname($_SERVER["DOCUMENT_ROOT"])):'';
		}
		
		$cart_folder = str_replace("\\", "/", $cart_folder);
		if (substr($real_folder, 0, strlen($cart_folder)) != $cart_folder)
		{
			$folder = "/";
		}
		
		$action = isset($action)?trim($action):"";
		if ($action == "do_upload" && !DEMO_LOCK)
		{
			if ($_FILES["new_file"]["name"] != "" && $_FILES["new_file"]["tmp_name"] != "" && $_FILES["new_file"]["size"] > 0)
			{
				//check does file already exists
				if (file_exists(".".$folder.$_FILES["new_file"]["name"]))
				{
					$tmp_name = md5(uniqid(rand(),1));
					if (@copy($_FILES['new_file']['tmp_name'], "content/cache/tmp/".$tmp_name))
					{
						chmod("content/cache/tmp/".$tmp_name, getFilePermissionMode());
?>
<script type="text/javascript" language="javascript">
	if(confirm("File already exists: <?=gs($folder).$_FILES["new_file"]["name"]?>\nDo you want to replace it?")){
		document.location = "admin.php?p=filemanager&folder=<?=urlencode($folder)?>&file_name=<?=urlencode($_FILES['new_file']['name'])?>&tmp_name=<?=urlencode($tmp_name)?>&action=replace&printing=true";
	}
</script>
	<?				}
					else
					{
						$msg_alert[]= "<span style=\"color:#990000\">Error: Can't create temporary copy of the uploaded file.\nPlease check free space and permissions!</span>";
					}
				}
				else
				{
					if (@copy($_FILES['new_file']['tmp_name'], ".".$folder.$_FILES['new_file']['name']))
					{
						chmod(".".$folder.$_FILES['new_file']['name'], getFilePermissionMode());
						$msg_alert[]= 'File has been successfully uploaded';
					}
					else
					{
						$msg_alert[]= "<span style=\"color:#990000\">Error: Can't upload file.\nPlease check free space and permissions.</span>";
					}
				}
			}
		}
		if ($action == "replace" && !DEMO_LOCK)
		{
			$file_name = isset($file_name)?$file_name:"";
			$tmp_name = isset($tmp_name)?$tmp_name:"";
			if (@unlink(".".$folder.$file_name) && @copy("content/cache/tmp/".$tmp_name, ".".$folder.$file_name))
			{
				chmod(".".$folder.$file_name, getFilePermissionMode());
				@unlink("content/cache/tmp/".$tmp_name);
				$msg_alert[]= "File has been successfully uploaded.";
			}
			else
			{
				$msg_alert[]="<span style=\"color:#990000\">Error: Can't upload file.\nPlease check free space and permissions!</span>";
			}
		}
		
		if ($action == "delete" && !DEMO_LOCK)
		{
			$file_name = isset($file_name)?$file_name:"";
			if (@unlink(".".$folder.$file_name))
			{
				$msg_alert[]= "Selected file has been successfully removed.";
			}
			else
			{
				$msg_alert[]= "<span style=\"color:#990000\">Error: Can't remove file. Please check file permissions.</span>";
			}
		}
		
		if ($action == "restore_skin_file" && !DEMO_LOCK)
		{
			$original_file = isset($original_file)?$original_file:"";
			$destination_file = ".".$folder.$file;
			if (is_file("content/skins/original/".$original_file))
			{
				@unlink($destination_file);
				if (@copy("content/skins/original/".$original_file, $destination_file))
				{
					chmod($destination_file, getFilePermissionMode());
					$msg_alert[]= "File has been restored to original format";
				}
				else
				{
					$msg_alert[]= "<span style=\"color:#990000\">Error: Can't restore file. Please check destination file permissions.</span>";
				}
			}
			else
			{
				$msg_alert[]= "<span style=\"color:#990000\">Error: Original file does not exists.</span>";
			}
		}
		
		$parts = explode("/", trim($folder));
		$folder_links = '<a href="admin.php?p=filemanager&folder=/&printing=true">[cart root]</a>/';
		$_folder = "";
		for ($i=1; $i<count($parts); $i++)
		{
			if (trim($parts[$i]) != "")
			{
				$_folder .= "/".$parts[$i];
				$folder_links.='<a href="admin.php?p=filemanager&folder='.urlencode($_folder).'/&printing=true">'.htmlspecialchars($parts[$i]).'</a>/';
			}
		}
		$messages = array();
		if (isset($msg_alert))
		{
			foreach ($msg_alert as $key => $val)
			{
				if (strlen($val)>0)
				{
					$messages[] = array("class"=>"ic-".(strstr($val, "Error")?"cross":"info"), "text"=>"<span style=\"color:#990000\"><b>$val</b></span>", "url"=>"", "visible"=>true);
				}
			}
		}
		unset($msg_alert);
?>
<script type="text/javascript" language="JavaScript">
function ConfirmDeleteFile(folder,file_name){
	if(confirm("Do you really want to delete this file: " + file_name + "?")){
		document.location = "admin.php?p=filemanager&folder=" + folder + "&file_name=" + file_name + "&action=delete&printing=true";
	}
}
</script>
<table id="filemanager-container" width="100%" height="100%" cellpadding="0" cellspacing="5" border="0" style="background-color:white;">
	<tr valign="top">
		<td width="210" rowspan="3">
			<img src="images/admin/logo.gif"><br><br>
			<table width="100%" cellpadding="0" cellpadding="0" border="0">
				<tr>
					<td width="20"><img src="images/icons/a/download.png"></td>
					<td><a href="admin.php?p=filemanager&printing=true&folder=<?=urlencode("/content/download/")?>">Digital Products</td>
				</td>
				<tr>
					<td width="20"><img src="images/icons/a/monitor.png"></td>
					<td><a href="admin.php?p=filemanager&printing=true&folder=<?=urlencode("/content/skins/".$settings["DesignSkinName"])?>/">Skin Files</td>
				</td>
				<tr>
					<td width="20"><img src="images/icons/a/file_format_jpg.png"></td>
					<td><a href="admin.php?p=filemanager&printing=true&folder=<?=urlencode("/images/")?>">Cart Images</td>
				</td>
				<tr>
					<td width="20"><img src="images/icons/a/product.png"></td>
					<td><a href="admin.php?p=filemanager&printing=true&folder=<?=urlencode("/images/products/")?>">Products Images</td>
				</td>
				<tr>
					<td width="20"><img src="images/icons/a/backup_server.png"></td>
					<td><a href="admin.php?p=filemanager&printing=true&folder=<?=urlencode("/content/backups/")?>">Backups</td>
				</td>
			</table>
		</td>
		<td height="36">
			<?=pageHeader("File Manager", $modes[$mode], "icb-file");?>
		</td>
	</tr>
	<tr valign="top">
		<td height="90">
<?php
		if (count($messages) < 1) $messages[] = array("class"=>"ic-info", "text"=>"Use left-side menu for quick access to your cart files", "url"=>"", "visible"=>true);
		$messages[] =  array("class"=>"ic-folder", "text"=>$folder_links, "url"=>"", "visible"=>true);
		pageNote($messages);
?>		
		</td>
	</tr>
	<tr valign="top">
		<td>
<?php
		if ($mode == "dir")
		{
?>
			<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td height="30">
						<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table" style="min-width:700px;border-bottom:none;border-radius:10px 10px 0px 0px;">
							<thead>
<?php	
			if ($folder != "/")
			{
				$f = explode("/", $folder);
				$path = "";
					
				for ($i=0; $i<count($f)-2; $i++) $path.=$f[$i]."/";
?>
								<tr>
									<th class="icon"><img src="images/icons/a/arrow_up.png"/></th>
									<th colspan="5"><a href="admin.php?p=filemanager&folder=<?=urlencode($path)?>&printing=true">One level up</a></th>
								</tr>
<?php
			}
			else
			{
				echo '<tr><th class="icon">&nbsp;</th><th colspan="5">&nbsp;</th></tr>';
			}
?>
								<tr>
									<th class="icon">&nbsp;</th>
									<th>File Name</th>
									<th width="200">Created</th>
									<th width="100">Size</th>
									<th width="100">Perm.</th>
									<th width="97">&nbsp;</th>
								</tr>
							</thead>
						</table>
					</td>
				</tr>
				<tr valign="top">
					<td>
						<div style="overflow-y:scroll;max-height:10px;" id="filemanager-list">
							<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table" style="min-width:700px;border-top:none;border-radius:0px 0px 0px 0px;">
								<tbody>
<?php		
			$dir = @dir($path_prefix.$folder);
			if (!$dir)
			{
				$folder = "/";
				$dir = dir($path_prefix.$folder);
			}
			if ($dir)
			{
				
				//read folder content
				$dirs = array();
				$files = array();
				$other = array();
				while (false !== ($entry = $dir->read()))
				{
					$file_path = $path_prefix.$folder.$entry;
					switch (@filetype($file_path))
					{
						case "dir" : 
						{
							if (!in_array($entry, array(".", "..")))
							{
								$dirs[$entry] = $file_path;
							}
							break;
						}
						case "link" :
						case "file" : 
						{
							$files[$entry] = $file_path;
							break;
						}
						default : 
						{
							$other[$entry] = $file_path;
						}
					}
				}
				
				
				
				asort($dirs);
				asort($files);
				asort($other);

				foreach ($dirs as $entry => $file_path)
				{
?>
									<tr>
										<td style="max-height:20px;" class="icon"><img src="images/icons/a/folder.png"></td>
										<td><a href="admin.php?p=filemanager&folder=<?=urlencode($folder).urlencode($entry)."/"?>&printing=true"><?=$entry?></a></td>
										<td width="200"><?=date("Y/m/d, g:i a",filectime($file_path))?></td>
										<td width="100">-</td>
										<td width="100"><?=decoct(fileperms($file_path))?></td>
										<td width="80">
											<a href="admin.php?p=filemanager&folder=<?=urlencode($folder).urlencode($entry)."/"?>&printing=true"><img src="images/icons/a/folder.png" title="Open Folder" border="0"></a>
										</td>
									</tr>
<?php
				}
				
				foreach ($files as $entry => $file_path)
				{
					$ext = getFileExt($entry);
					if (in_array($ext, $imageExt))
					{
						$item_mode = 'view';
						$item_action_icon  = 'file_format_jpg.png';
						$item_action_title = 'Preview Image';
					}
					else
					{
						$item_mode = 'edit';
						$item_action_icon  = 'pencil.png';
						$item_action_title = 'Edit File';
					}
					
?>
									<tr>
										<td class="icon"><img src="images/icons/a/<?=getFileIcon($entry)?>"></td>
										<td><?=$entry?></td>
										<td width="200"><?=date("Y/m/d, g:i a",filectime($file_path))?></td>
										<td width="100"><?=number_format(filesize($file_path)/1024, 2, ".", ",")?> kb</td>
										<td width="100"><?=decoct(fileperms($file_path))?></td>
										<td width="80">
											<a href="admin.php?p=filemanager&folder=<?=urlencode($folder)?>&file=<?=urlencode($entry)?>&mode=<?=$item_mode;?>&printing=true"><img src="images/icons/a/<?=$item_action_icon;?>" border="0" title="<?=$item_action_title;?>"></a>
											<a href="javascript:ConfirmDeleteFile('<?=urlencode($folder)?>', '<?=urlencode($entry)?>');"><img src="images/icons/a/delete.png" title="Delete File" border="0"></a>
										</td>
									</tr>
<?php
				}
?>
								</tbody>
							</table>
						</div>
						<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table" style="min-width:700px;border-top:none;border-radius:0px 0px 10px 10px;">
							<tfoot>
								<tr>
									<td class="icon">&nbsp;</td>
									<td>There are <?=count($dirs)>0?count($dirs):'no';?> subfolder(s) and <?=count($files)>0?count($files):'no';?> file(s) in a current folder.
								</tr>
							</tfoot>
						</table>
					</td>
				</tr>
				<tr>
					<td height="100">
						<form name="frmUploadFile" action="admin.php?p=filemanager&folder=<?=urlencode($folder)?>&printing=true" method="post" enctype="multipart/form-data">
							<input type="hidden" name="action" value="do_upload"/>
							<div class="admin-form-header first"><span class="icon ic-icon ic-upload"></span>Upload New File Into This Folder</div>
							<table cellpadding="0" cellspacing="5" border="0" width="100%">
								<tr valign="top">
									<td class="formItemCaption">Choose the file from your drive</td>
									<td class="formItemControl" style="width:300px;">
										<input type="file" name="new_file"/>
										<div class="formItemComment">
(max file size is 
<?php
	$m = ini_get("upload_max_filesize");
	$l = strtolower($m[strlen($m)-1]);
	switch ($l)
	{
		case "g" : echo ($m*1)." Gb"; break;
		case "m" : echo ($m*1)." Mb"; break;
		case "k" : echo ($m*1)." Kb"; break;
		default : echo ($m*1)." Bytes"; break;
	}		
?>)						
										</div>
									</td>
									<td class="formItemControl" style="width:auto;">
										<input type="submit" value="Upload file"/>
									</td>
								</tr>
							</table>
						</form>
					</td>
				</tr>
			</table>
<?php
			}//end dir mode
		}
		
		/**
		 * EDIT MODE
		 */
		if ($mode == "edit")
		{
			$action = isset($action)?trim($action):"";
			if ($action == "update_file")
			{
				$content = isset($content) ?$content:"";
				$f = @fopen(".".$folder.$file, "w+");
				if ($f && !DEMO_LOCK)
				{
					fputs($f, $content, strlen($content));
					fclose($f);
				}
				else
				{
					pageNote(array(
						array("class"=>"ic-cross", "text"=>"<b>Can't save file. Please check file permissions and free space</b>", "url"=>"", "visible"=>true),
						array("class"=>"ic-info", "text"=>"File name: ".gs($file), "url"=>"", "visible"=>true)
					));
				}
			}
			$file = isset($file) ? $file : '';
			$file = str_replace('\\', '/', $file);
			$parts = explode('/', $file);
			if (in_array('..', $parts))
			{
				$file = '';
			}

			$edited_file_name = ".".$folder.$file;
			$f = @fopen($edited_file_name, "r");
			if ($f && !DEMO_LOCK)
			{
				$content = "";
				while ($s = fgets($f, 1024))
				{
					$content .= $s;
				}
				fclose($f);
				
				//check skin file
				$is_skin_file = false;
				if (substr($edited_file_name, 0, 16) == "./content/skins/")
				{
					//potential skin file
					if (is_file("content/skins/original/".$file) && strpos($edited_file_name, $settings["DesignSkinName"]."/".$file) !== false)
					{
						$is_skin_file = $file;
					}
					elseif (is_file("content/skins/original/boxes/".$file) && strpos($edited_file_name, $settings["DesignSkinName"]."/boxes/".$file) !== false)
					{
						$is_skin_file = "boxes/".$file;
					}
					elseif (is_file("content/skins/original/emails/".$file) && strpos($edited_file_name, $settings["DesignSkinName"]."/emails/".$file) !== false)
					{
						$is_skin_file = "emails/".$file;
					}
					elseif (is_file("content/skins/original/javascript/".$file) && strpos($edited_file_name, $settings["DesignSkinName"]."/javascript/".$file) !== false)
					{
						$is_skin_file = "javascript/".$file;
					}
					elseif (is_file("content/skins/original/styles/".$file) && strpos($edited_file_name, $settings["DesignSkinName"]."/styles/".$file) !== false)
					{
						$is_skin_file = "styles/".$file;
					}
				}
				if ($is_skin_file)
				{
?>
<script language="JavaScript">
function confirmRestoreFile(){
	if(confirm("You are about to restore this file to the original format.\nThis action cannot be reversed.\nIs this what you want to do?")){
		//alert("OK!");
		document.location = "admin.php?p=filemanager&folder=<?=urlencode($folder)?>&file=<?=urlencode($file)?>&mode=edit&printing=true&action=restore_skin_file&original_file=<?=urlencode($is_skin_file)?>";
	}
}
</script>
<?php
				}
			//echo $is_skin_file?$is_skin_file:"Other File";
?>
			<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
				<form name="frmFileEdit" action="admin.php?p=filemanager&folder=<?=urlencode($folder)?>&file=<?=urlencode($file)?>&mode=edit&printing=true" method="post">
					<input type="hidden" name="action" value="update_file">
					<tr>
						<td height="22" style="paddin:5px;">
							<div class="admin-form-header first"><span class="icon ic-icon ic-pencil"></span>File Editing - <?=gs($file)?></div>
						</td>
					</tr>
					<tr>
						<td align="center" style="padding:10px;">
							<textarea class="no-mce" wrap="off" style="width:100%;height:100%;" name="content"><?=gs($content)?></textarea>
						</td>
					</tr>
					<tr>
						<td class="admin-form-buttons" height="50">
							<input type="submit" value="Save changes"/>
							<input type="reset" value="Reset form"/>
<?php
				if ($is_skin_file)
				{
?>
						&nbsp;
							<input type="button" value="Restore file" onClick="confirmRestoreFile();return false;">
<?php
				}
?>
						</td>
					</tr>
				</form>
			</table>
<?php
			}
			else
			{
				pageNote(array(
					array("class"=>"ic-cross", "text"=>"<b>Can't open file. Please check does file exists and file permissions</b>", "url"=>"", "visible"=>true),
					array("class"=>"ic-info", "text"=>"File name: ".gs($file), "url"=>"", "visible"=>true)
				));
			}
		}//end mode edit
		
		if ($mode == "view")
		{
			$size = getimagesize (".".$folder.$file);
?>
			<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td height="24">
						<div class="admin-form-header">
							<span class="icon ic-icon ic-file-format-jpg"></span>
							Image preview - <?= gs($file) ?>
						</div>
					</td>
				</tr>
				<tr>
					<td height="30" align="center">
						Width x Height: <?=$size[0]?>x<?=$size[1]?> pixels. File size: <?=filesize(".".$folder.$file)?> bytes
					</td>
				</tr>
				<tr>
					<td height="30" align="center">
						Image URL: <?=$settings["GlobalHttpUrl"]?><?=gs($folder).gs($file)?><br>
						HTML Reference: &lt;img src="<?=$settings["GlobalHttpUrl"]?><?=gs($folder).gs($file)?>" width="<?=$size[0]?>" height="<?=$size[1]?>" &gt;
					</td>
				</tr>
				<tr>
					<td align="center">
						<img src=".<?=gs($folder).gs($file)?>" border="1" hspace="10" vspace="10" <?=$size[0]>530?'width="530"':""?>>
					</td>
				</tr>
			</table>
<?php
		}
?>
		</td>
	</tr>
</table>
<?php
	}
?>
