<?php
	if (!defined("ENV")) exit();
	
	$tiny_mce_pages_email = array('email_newsletter', 'email_updates', 'email_top_bottom');
	$tiny_mce_pages = array("category", "page", "payment_method", "product", "plugin");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html<?php if (_ACCESS_INTUIT_ANYWHERE && _CAN_ENABLE_INTUIT_ANYWHERE) { ?> xmlns="http://www.w3.org/1999/xhtml" xmlns:ipp="" <?php } ?>>
<head>
	<title><?php echo $label_app_name;?> Administrator Area</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<style type="text/css"><!--
		@font-face {
			font-family:'Cabin';
			font-style:normal;
			font-weight: 400;
			src: local('Cabin Regular'), local('Cabin-Regular'), url('content/admin/styles/Cabin-Regular.ttf') format('truetype');
		}
		body {font-family:'Cabin',sans-serif;}
	--></style>
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/ui/themes/smoothness/smoothness.css" />
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/thickbox/thickbox.css" />
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/colorpicker/css/colorpicker.css" />
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/jgrowl/jquery.jgrowl.css"/>
	<link rel="stylesheet" type="text/css" href="content/admin/styles/admin.css?<?php echo APP_VERSION;?>" />
	<link rel="stylesheet" type="text/css" href="content/admin/styles/quick_start_guide.css?<?php echo APP_VERSION;?>" />
	<link rel="stylesheet" type="text/css" href="content/admin/styles/admin-menus.css?<?php echo APP_VERSION;?>" />
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/qtip/jquery.qtip-2.0.min.css?<?php echo APP_VERSION;?>" />
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/fancybox/jquery.fancybox-1.3.0.css" />
	
	<!--[if gte IE 6]>
	<style type="text/css">
	.quick-start-guide-pages ul li {display: inline;}
	</style>
	<![endif]-->
	<script type="text/javascript" language="JavaScript" src="content/vendors/json/json2-min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/jquery-1.5.1.min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/ui/jquery-ui-1.8.9.custom.min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/qtip/jquery.qtip-2.0.min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/thickbox/thickbox.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/fancybox/jquery.fancybox.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/colorpicker/js/colorpicker.js"></script>
<?php
	if (in_array($p, array_merge($tiny_mce_pages_email, $tiny_mce_pages)))
	{
		$tinymce_config = (in_array($p, $tiny_mce_pages_email))
			? 'tiny_mce_email.php'
			: 'tiny_mce_common.php';
?>
	<script type="text/javascript" language="JavaScript" src="content/vendors/tiny_mce/tiny_mce.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/<?php echo $tinymce_config; ?>"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/mcfilemanager_common.php"></script>
<?php
	}
	
	loadJS('jquery.ddm.core.js');
	loadJS('common.js');
	loadJS('menus.js');
	loadJS('admin-menus.js');
	loadJS('kb.js');
	loadJS('quick_start_guide.js');
	loadJS('referral-dialog.js');

	$year = isset($year) ? intval($year) : date("Y");
	$month = isset($month) ? intval($month) : date("m");
	loadJS('jquery.jqplugin.js', 'content/vendors/jquery/browser/');
?>
	<!--[if lte IE 8]><?php loadJS('excanvas.min.js', 'content/vendors/jquery/excanvas/'); ?><![endif]-->
	<script type="text/javascript">
		var chartDate = new Date();
		chartDate.setDate(1);
		chartDate.setFullYear(<?=$year;?>);
		chartDate.setMonth(<?=($month-1);?>);
	</script>
<?php
	loadJS('jquery.flot.min.js', 'content/vendors/jquery/flot/');
	loadJS('jquery.flot.pie.min.js', 'content/vendors/jquery/flot/');
	loadJS('jquery.flot.resize.js', 'content/vendors/jquery/flot/');
	loadJS('jquery.jgrowl_minimized.js', 'content/vendors/jquery/jgrowl/');
?>

	<script type="text/javascript" language="JavaScript">
		var GlobalHttpUrl = "<?php echo $settings["GlobalHttpUrl"]; ?>";
		var GlobalHttpsUrl = "<?php echo $settings["GlobalHttpsUrl"]; ?>";
		var hideMenus = <?php echo $hidemenus = isset($hidemenus)? 1 : 0; ?>;
		var autoOpenQuickStartGuide = <?php echo intval($auto_open_quickstart_guide); ?>;
		var autoOpenReferralDialog = <?php echo intval($auto_open_referral_dialog); ?>;
		var qsg_categoryLayout = null;
		var qsg_categoryDefaultView = null;
		var qsg_productLayout = null;
		var qsg_checkoutProcess = null;
		var adminAutoLogoutTimeInMinutes =  <?php echo $settings["SecurityAdminTimeOut"]; ?>;
		var isFederated = <?php echo (isset($_SESSION["admin_federated"]) ? 1 : 0); ?>;
		var cartVersion = '<?php echo APP_VERSION;?>';
	</script>
<?php
	$intuitConnectionActive = false;
	$intuitConnected = false;

	if (_ACCESS_INTUIT_ANYWHERE) //$settings['intuit_anywhere_enabled'] == 'Yes')
	{ 
		require_once 'content/vendors/intuit/oauth/config.php';

		$oauth_token = isset($oauth_token) ? $oauth_token: '';
		$oauth_token_secret = isset($oauth_token_secret) ? $oauth_token_secret: '';
?>
<script type="text/javascript" src="https://js.appcenter.intuit.com/Content/IA/intuit.ipp.anywhere.js"></script>
<script>intuit.ipp.anywhere.setup({
	  menuProxy: '<?php echo $menu_proxy; ?>',
	  grantUrl: '<?php echo intuit_ServiceLayer::getGrantUrl(true); ?>'
	});</script>
<?php
		if ($settings['intuit_anywhere_enabled'] == 'Yes')
		{
			if ($settings['intuit_anywhere_connected'] == 'Yes' && $oauth_token != '')
			{
				$intuitConnectionActive = true;
				$intuitConnected = true;
			}
			else
			{
				$intuitConnectionActive = false;
				$intuitConnected = true;
			}
		}
	}
?>
	<script type="text/javascript" language="JavaScript">
		var intuitConnectionActive = <?php echo $intuitConnectionActive ? 1 : 0; ?>;
		var intuitConnected = <?php echo $intuitConnected ? 1 : 0; ?>;
	</script>
<?php
	$isTrial = defined('TRIAL_MODE') && TRIAL_MODE && $iono->level == 99;
	if ($isTrial)
	{
		if ($intuitConnectionActive)
		{
		?>
<style>
	body #intuitPlatformAppMenu { top: 30px; }
</style>
<?php } ?>
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37633224-1']);
  _gaq.push(['_setDomainName', 'carttrial.com']);
  _gaq.push(['_trackPageview']);
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>
		<?php
	}
?>
</head>
<body>
<?php
	if ($intuitConnectionActive)
	{
		echo '<div><ipp:blueDot></ipp:blueDot></div>';
	}
?>
	<div id="divAutoLogout" class="hidden" style="width:100%;">
		<div style="width:100%;">
			<div style="text-align:center;font-size:18px;padding:20px;font-weight:bold;color:black;">Your session expires in <span id="spanLogoutCountdown">xx</span> seconds</div>
			<div style="text-align:center;padding:15px;">
				<input type="button" id="buttonAutoLogoutNow" value="Logout now"> &nbsp;
				<input type="button" id="buttonAutoLogoutCancel" value="Keep me logged in">
			</div>
		</div>
	</div>
<?php 
	if ($isTrial) {

		if (isset($_REQUEST['trialStarted']))
		{
			unset($_SESSION['admin_trial_token']);

			$db->query('UPDATE '.DB_PREFIX.'settings SET value="0" WHERE name="AdminShowTrialForm"');
			$settings['AdminShowTrialForm'] == '0';
		}
		
		$data = array(
			"l"=>LICENSE_NUMBER,
			'u' => false,
		);

		$expirationText = defined('LICENSE_EXPIRATION_TEXT') ? LICENSE_EXPIRATION_TEXT : '';

		$trialUpgradeUri = urlencode(base64_encode(serialize($data)));
?>
	<div id="trial-bar" style="left:0px;top:0px;position:fixed;width:100%;background-color:#161616;z-index:10000;color:#ffffff;padding:5px;min-height:15px;text-align:center;">
		Your trial will expire in <?php echo $expirationText;?>! &nbsp;
		<a href="https://account.<?php echo getp(); ?>.com/account/purchase-upgrade/<?php echo urlencode($trialUpgradeUri); ?>.html" target="_blank" style="color:#71980D;">Click here to Upgrade</a>
	</div>
<?php 
	}
?>
	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="600" style="clear:both;<?php if ($isTrial) { ?>margin-top:28px;<?php } ?>">
		<tr valign="top">
			<td class="admin-zone-logo" <?php echo md5($label_app_name)=="aac9a3612c49dc1c1d5d4b756d07d789" ? 'style="background:black;"' : '';?>><a href="admin.php" title="Go to home page"><img src="images/admin/logo.<?php echo md5($label_app_name)=="aac9a3612c49dc1c1d5d4b756d07d789" ? "png" : "gif";?>" alt="Go to home page"/></a></td>
			<td class="admin-zone-header">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td class="left">
							<!--<?php echo htmlspecialchars($label_app_name); ?>--> Version <?php echo $settings["AppVer"]; ?>
							<?php echo $iono->level == 99 ? " - <b>TRIAL CART</b>" : ""; ?>
							<!-- <strong><?php echo $_SERVER["SERVER_PORT"] == 443 ? "HTTPS" : "HTTP"; ?> mode</strong>-->
							<?php echo (defined('DEMO_MODE') && DEMO_MODE && defined('DEMO_LOCK') && DEMO_LOCK) ? ' - <b>DEMO MODE</b>' : ""; ?>
		<?php
						if (($p == "home" || $p == "") && isPrivilege($auth_rights, array("all", "global")))
						{
							require_once("content/classes/class.update-client.php");
							$xmlParser = new XMLParser();

							$updateClient = new updateClient($db, $xmlParser);
							$fixes= $updateClient->checkForUpdates($update_script_url, LICENSE_NUMBER, $settings["AppVer"], $settings["AppEncoder"]);

							if (($fixes && $updateClient->new_updates))
							{
								echo " - Please note: <a href=\"admin.php?p=update\" style=\"color:#CC0000;font-weight:bold;text-decoration:underline;\">UPDATES ARE AVAILABLE</a>";
							}
						}
		?>
						</td>
						<td class="right <?php echo $intuitConnectionActive?'intuit':'';?>">
							<a href="admin.php?p=profile">Profile</a> <?php if (!isset($_SESSION["admin_federated"])) { ?>/
							<a href="javascript:confirmLogout()">Log Out</a><?php } ?>
		<?php
						if ((!defined('DEMO_MODE') || !DEMO_MODE) && $display_quick_start && (!defined('DEMO_LOCK') || !DEMO_LOCK) && isPrivilege($auth_rights, array("all")))
						{
		?>
							| <a id="quick-start-guide-link" href="#">Quick Start Guide</a>
		<?php
						}
						if (!IS_LABEL)
						{
		?>
							| <a id="video-tutorials-link" href="#">Video Tutorials</a>
		<?php
						}
		?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr valign="top">
			<td class="admin-zone-menu">				
<?php
				require_once('content/admin/admin_layout_menu.php');
?>					
			</td>
			<td class="admin-zone-content">
<?php
		if (isset($auth_https_warning) && $auth_https_warning)
		{
?>
				<div style="background-color:#ffffdd;padding:20px;border:1px solid gray;border-radius:10px;margin-bottom:10px;text-align:left;">
                                    <strong>Warning: The administrative area has been set to HTTPS (Secure) mode but the current administrator area URL is not a secure URL.
                                    Please <a href="<?php echo $settings["GlobalHttpsUrl"]?>/admin.php">click here</a> to switch to HTTPS mode.</strong><br/>
                                    - <a href="admin.php?p=settings&group=3">Access to a Global Site Settings</a><br/>
                                    - <a href="admin.php?p=settings&group=7">Go to Security Settings page</a>
				</div>
<?php
		}
?>
				<div id="divHeader" style="display:none;">
					<div class="right">
						<table cellpadding="0" cellspacing="0" border="0" width="180">
							<tr>
								<td>
									<?php if (!isset($_SESSION["admin_federated"])) { ?>
									<div class="logout">
										<a style="" href="javascript:confirmLogout()">
											Log-out <img src="images/admin/bt_logout.gif" align="absmiddle" border="0" hspace="0" alt="Logout">
										</a>
										<form name="frmLogout" id="frmLogout" action="login.php" method="POST">
											<input type="hidden" name="action" value="logout"/>
										</form>
									</div>
									<div id="logout-countdown" style="padding-top:5px;clear:both;text-align:right;display:none;">
									</div>
									<?php } ?>
								</td>
							</tr>
						</table>
					</div>
				</div>
				
				
				
<?php
		/**
		 * Include page
		 */
		require("content/admin/".$body);
?>
				
				<img src="images/zerro.gif" width="800" height="1">
			</td>
		</tr>
	</table>
	
<?php
	if (!IS_LABEL)
	{
?>
	<div id="kb-search-dialog" style="display:none;">
		<div id="kb-search-dialog-inner">
			<form id="kb-search-form" action="#" method="POST">
				To search our Knowledge Base, simply type in some terms specific to your search
				<br/>
				<table cellpadding="0" cellspacing="0" border="0">
					<tbody>
						<tr>
							<td><input id="kb-search-input" type="text"/></td>
							<td><input id="kb-search-button" type="submit" value="Search"/></td>
						</tr>
					</tbody>
				</table>
			</form>
			<div id="kb-search-result"></div>
		</div>
	</div>
			
	<div id="kb-search-answer-dialog" style="display:none;">
		<div id="kb-search-answer-dialog-inner"></div>
		<div>
			<input type="button" id="kb-search-answer-dialog-close" value=" Back "/>
		</div>
	</div>

	<div id="video-tutorials" style="display:none">
		Below is a sampling of tutorials designed to help you use the cart. You can view all of the tutorials by clicking <a href="http://<?php echo getp();?>.com/pinnacle-cart-videos.htm" target="_blank">here</a>
		<div style="margin:10px 0px 10px 20px;">
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=addingproduct&TB_iframe=true&height=600&width=740">Adding a Product</a><br/>
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=addingpaymentmethod&TB_iframe=true&height=600&width=740">Enabling a Payment Method</a><br/>
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=shippingquotes&TB_iframe=true&height=600&width=740">Enabling the Shipping Quote Feature</a><br/>
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=secondaryimages&TB_iframe=true&height=600&width=740">Adding Secondary Images</a><br/>
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=creatingattributes&TB_iframe=true&height=600&width=740">Adding Attributes (size, color, etc)</a><br/>
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=adding_recommended_products&TB_iframe=true&height=600&width=740">Adding Recommended Products</a><br/>
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=file_backup&TB_iframe=true&height=600&width=740">Backing Up Files</a><br/>
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=adding_shipping&TB_iframe=true&height=600&width=740">Adding Shipping Methods</a><br/>
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=adding_fields_checkout&TB_iframe=true&height=600&width=740">Adding Additional Fields to Checkout</a><br/>
			<a class="thickbox" href="https://www.<?php echo getp();?>.com/video-tutorials-direct.htm?video=creatingwholesalers&TB_iframe=true&height=600&width=740">Creating Wholesalers (pricing groups)</a>
		</div>
	</div>
<?php
	}
?>
	<div id="QuickStartGuide" style="display:none;">
		<div id="QuickStartGuideInner"></div>
	</div>
<?php
	if (intval($auto_open_referral_dialog) == 1)
	{
?>
	<div id="ReferralDialog" style="display:none;">
		<div id="ReferralDialogInner">
			<iframe style="border:none;width:640px;height:450px;" src="https://www.cartmanual.com/referral-message/?rpid=<?php echo $referral_partner_id;?>"></iframe>
		</div>
	</div>
<?php } ?>	
	<div id="admin-loader" class="admin-loader">
		<div>
			<div class="title">Please wait</div>
			<div class="message">Updating data...</div>
		</div>
	</div>
<?php if ($body == 'admin_home.php' && $intuitConnected && !$intuitConnectionActive) { ?>
	<div id="IntuitMessage" style="display:none;">
		<div style="float:left;width:91px;padding-right:10px;"><img src="images/admin/point.png"/></div>
		<div style="float:left;width:550px;">
			<h2 class="alert-error-heading">Houston, we have a problem!</h2>
			It appears your cart has lost its connection to Quickbooks. <a href="admin.php?p=settings_intuit">CLICK HERE</a> to re-connect.
			<div style="margin-top:8px;font-size:0.8em;">
				<a href="admin.php?p=settings_intuit&action=update_status&intuit_anywhere_enabled=No">Do not show this message again</a>
			</div>
		</div>
		<div style="clear:both;"></div>
	</div>
	<script type="text/javascript">
		$(document).ready(function() {
			$.jGrowl($('#IntuitMessage').html(), {
				life:12000,
				speed: 'slow',
				sticky: true,
				theme: 'alert alert-error',
				position: 'center'
			});
		});
	</script>
<?php } ?>
<?php

	if ($isTrial)
	{
		?>
<script type="text/javascript">
adroll_adv_id = "3EI76HPGLBHF5N4QRS45KJ";
adroll_pix_id = "XI2WQWDYCNDPRNEFTYDYVI";
(function () {
var oldonload = window.onload;
window.onload = function(){
   __adroll_loaded=true;
   var scr = document.createElement("script");
   var host = (("https:" == document.location.protocol) ? "https://s.adroll.com" : "http://a.adroll.com");
   scr.setAttribute('async', 'true');
   scr.type = "text/javascript";
   scr.src = host + "/j/roundtrip.js";
   ((document.getElementsByTagName('head') || [null])[0] ||
    document.getElementsByTagName('script')[0].parentNode).appendChild(scr);
   if(oldonload){oldonload()}};
}());
</script>
		<?php
	}
	
	if ($settings['AdminShowTrialForm'] == '1')
	{
		if ($isTrial && is_file('trial/form.php'))
		{
			

			include('trial/form.php');
		}
	}

	if (!$isTrial || $settings['AdminShowTrialForm'] != '1')
	{
		?>
<script type="text/javascript">
$(document).ready(function(){
	if ($('#intuit-quickstart').size() > 0) $('#intuit-quickstart').dialog('open');
});
</script>
		<?php
	}
?>
</body>
</html>

