<?php
	if (!defined("ENV")) exit();
	
	$action = isset($action) ? trim($action) : "";
	
	if ($action == "save_changes")
	{
		$form = isset($form) ? is_array($form) ? $form : array() : array();
		
		foreach ($form as $key=>$value)
		{
			$db->reset();
			$db->assignStr("value", $value);
			$db->update(DB_PREFIX."settings", "WHERE name='".$db->escape($key)."'");
			$settings[$key] = $value;
		}
	}
	
	pageHeader("Cardinal Centinel Setup", '', "icb-payment");
	
	if (!AccessManager::checkAccess('CARDINAL_CENTINEL'))
	{
		AccessManager::notAllowed();
	}
	else
	{
	
		pageNote(array(
			array("class"=>"ic-info", "text"=>"Cardinal Centinel enabling an ecommerce website to participate in the Verified by Visa (VbV), MasterCard SecureCode (MCSC), and JCB J/Secure payment initiative programs based on the 3-D Secure Protocol.<br>For more information please go to <a target=\"_blank\" href=\"http://www.cardinalcommerce.com\">http://www.cardinalcommerce.com</a>", "url"=>"", "visuble"=>true)
		));
?>
<form name="frmCardinal" action="admin.php?p=payment_cardinal" method="post">
	<input type="hidden" name="action" value="save_changes">
	<div class="admin-tabs admin-tabs-framed" id="tabs-cardinal">
<?php 
		pageTabs(array(
			array("title"=>"Gateway Properties", "id"=>"main"),
		), "tabs-cardinal", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon"></span>Payment Method Properties</div>
	
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td class="formItemCaption">Enable Cardinal Centinel?</td>
						<td class="formItemControl">
							<select name="form[cardinalcommerce_Enabled]" class="tiny">
								<option value="Yes">Yes</option>
								<option value="No" <?=$settings["cardinalcommerce_Enabled"]=="No"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption required">Cardinal commerce URL</td>
						<td class="formItemControl"><input type="text" name="form[cardinalcommerce_URL]" value="<?=htmlspecialchars($settings["cardinalcommerce_URL"])?>"></td>
					</tr>
					<tr>
						<td class="formItemCaption required">Processor identification code</td>
						<td class="formItemControl"><input type="text" name="form[cardinalcommerce_Processor_Id]" value="<?=htmlspecialchars($settings["cardinalcommerce_Processor_Id"])?>"></td>
					</tr>
					<tr>
						<td class="formItemCaption required">Merchant identification code</td>
						<td class="formItemControl"><input type="text" name="form[cardinalcommerce_Merchant_Id]" value="<?=htmlspecialchars($settings["cardinalcommerce_Merchant_Id"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption required">Transaction password</td>
						<td class="formItemControl"><input type="text" name="form[cardinalcommerce_Password]" value="<?=htmlspecialchars($settings["cardinalcommerce_Password"])?>"></td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/>
		<input type="reset" value="Reset form"/>
	</div>
</form>
<?php
	}
?>