<?php
 	if (!defined("ENV")) exit();
 
 	$adminView = Ddm_AdminView::getInstance();
 
 	$adminView->assign('mode', $mode);
 
 	$db->query("SELECT * FROM ".DB_PREFIX."products_attributes WHERE pid='".$pid."' ORDER BY priority, name, is_modifier");
 	$adminView->assign('attributes', $db->getRecords());
  	$adminView->assign('product_delete_attribute_nonce', create_nonce('product_delete_attribute'));
  	$adminView->assign('priorities', array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10));
 
	/**
	 * Global attributes
	 */
	$where_already_assigned = "";
	$where_categories = "";
	
	// check already assigned attributes
	if ($mode=="update")
	{
		$db->query("SELECT * FROM ".DB_PREFIX."products_attributes WHERE pid='".$pid."' AND gaid > 0");
		
		while ($db->moveNext())
		{
			$where_already_assigned.= ($where_already_assigned == "" ? " " : " AND ")." gaid<>".$db->col["gaid"];
		}
		
		//select category-specific attributes
		$db->query("SELECT * FROM ".DB_PREFIX."catalog_attributes WHERE cid=".$cid)	;
		
		while ($db->moveNext())
		{
			$where_categories.= ($where_categories == "" ? "" : " OR ")." gaid=".$db->col["gaid"];
		}
	}

	// select unassigned attributes
	if ($where_categories != "")
	{
		$sql = "SELECT * FROM ".DB_PREFIX."global_attributes WHERE ((is_global='Yes') OR (".$where_categories.")) ";
		if ($where_already_assigned != "")
		{
			$sql.= " AND (".$where_already_assigned.")";
		}
	}
	else
	{
		$sql = "SELECT * FROM ".DB_PREFIX."global_attributes WHERE (is_global='Yes') ";
		if ($where_already_assigned != "")
		{
			$sql.= " AND (".$where_already_assigned.")";
		}
	}
	
	$db->query($sql);
	$global_attributes = $db->getRecords();
	
	foreach ($global_attributes as $attribute)
	{
		$a = explode("\n", $attribute['options']);
		$temp = '';
		
		for ($i=0; $i<count($a); $i++)
		{
			if (trim($a[$i])!="")
			{
				$temp .= htmlspecialchars($a[$i])."; ";
			}
		}
		
		$attribute['options'] = $temp;
	}
	
	$adminView->assign('global_attributes', $global_attributes);

	$formBuilder = new core_Form_FormBuilder('add-attribute');
	$formBuilder->add('new_attribute[name]', 'text', array('label' => 'Attribute Name'));
	$formBuilder->add('new_attribute[caption]', 'text', array('label' => 'Attribute Caption'));
	$formBuilder->add('new_attribute[priority]', 'choice', array('label' => 'Priority', 'value' => '5', 'attr' => array('class'=>'short'), 'options' => array(
		new core_Form_Option('1', '1'),
		new core_Form_Option('2', '2'),
		new core_Form_Option('3', '3'),
		new core_Form_Option('4', '4'),
		new core_Form_Option('5', '5'),
		new core_Form_Option('6', '6'),
		new core_Form_Option('7', '7'),
		new core_Form_Option('8', '8'),
		new core_Form_Option('9', '9'),
		new core_Form_Option('10', '10'),
	)));
	
	$formBuilder->add('new_attribute[attribute_type]', 'choice', array('label' => 'Attribute Type', 'options' => array(
		new core_Form_Option('select', 'Drop-down'),
		new core_Form_Option('radio', 'Radio Buttons'),
		new core_Form_Option('text', 'Text Input'),
		new core_Form_Option('textarea', 'Textarea Input'),
	)));
	
	$formBuilder->add('new_attribute[text_length]', 'text', array('label' => 'Text Length'));
	$formBuilder->add('new_attribute[is_active]', 'checkbox', array('label' => 'Is This Attribute Active?', 'value' => 'Yes', 'current_value' => 'Yes'));
	$formBuilder->add('new_attribute[track_inventory]', 'checkbox', array('label' => 'Track Inventory By This Attribute?', 'value' => '1', 'current_value' => '1'));
	$formBuilder->add('new_attribute[options]', 'textarea', array('label' => 'Options', 'wrapperClass' => 'field-full-width'));

	$addAttributeForm = $formBuilder->getForm();
	$adminView->assign('addAttributeForm', $addAttributeForm);

	$adminView->render('pages/product/product-attributes-tab');
 