<?php
/**
 * Product family
 */
	if (!defined("ENV")) exit();

	loadJS("products_family.js");
	$mode = isset($_REQUEST["mode"])?$_REQUEST["mode"]:"update";
	$pf_id = isset($_REQUEST["pf_id"])?intval($_REQUEST["pf_id"]):"0";
	
	if (AccessManager::checkAccess('RECOMMENDED'))
	{
		if ($mode == "update")
		{
			$db->query("SELECT * FROM ".DB_PREFIX."products_families WHERE pf_id='".$pf_id."'");
			if ($db->moveNext())
			{
				$name = $db->col["name"];
			}
			else
			{
				$mode = "insert";
				$name = "";
			}
		}
		else
		{
			$mode = "insert";
			$name = "";
		}
		pageHeader("Recommended Products (Family)", ucfirst($mode), "icb-chat-exclamation");

		pageNote(array(
			array("class"=>"ic-info", "text"=>"A Product Family gives you the ability to add recommended products to your product pages.<br/>To create a new Product Family, create a family name and enter in the products you would like to include.<br/>You will have the ability to select any Product Family in the \"Add a New Product\" section.", "url"=>"", "visible"=>true)
		));
?>
<form action="admin.php?p=products_family_process" method="post" onSubmit="return checkFamilyForm(this)">
	<input type="hidden" name="mode" value="<?=$mode?>">
	<input type="hidden" name="pf_id" value="<?=$pf_id?>">
	<input type="hidden" name="products_in_family" id="products_in_family" value="">
	
	<div class="admin-tabs admin-tabs-framed" id="tabs-family">
<?php 
		pageTabs(array(
			array("title"=>"Product Family Properties", "id"=>"main"),
		), "tabs-family", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon ic-exclamation"></span>Product Family Name</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption required">Name of Product Family</td>
						<td class="formItemControl">
							<input type="text" name="name" value="<?=htmlspecialchars($name)?>"/>
						</td>
					</tr>
				</table>
				
				<div class="admin-form-header"><span class="icon ic-icon ic-product"></span>Products in this Family</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption">
							Enter a Product Name or ID :<br/>
							<div id="inDiv"></div>
							<input type="text" name="searchStr" id="searchStr" style="width:170px;font-size:1em;"/>
							<select name="searchLimit" id="searchLimit" style="width:60px;font-size:1em;">
								<option value="10">10</option>
								<option value="25">25</option>
								<option value="50">50</option>
								<option value="-">-</option>
							</select>
							<div class="formItemComment">
								Our auto search feature will attempt to search your
								product database as you are entering in the
								product data.
							</div>
						</td>
						<td class="formItemControl">
							<div style="padding-top:5px;">Selected Products:</div>
							<select name="pr_family" class="multiselect" multiple="multiple" id="pr_family">
<?php
		if ($mode == "update")
		{
			$db->query("
				SELECT ".DB_PREFIX."products.pid, ".DB_PREFIX."products.product_id, ".DB_PREFIX."products.title
				FROM ".DB_PREFIX."products_families_content
				INNER JOIN ".DB_PREFIX."products ON ".DB_PREFIX."products.pid = ".DB_PREFIX."products_families_content.pid
				WHERE pf_id='".$pf_id."'
			");
			while ($db->moveNext())
			{
				echo '<option value="'.$db->col["pid"].'">'.gs($db->col["product_id"]." - ".$db->col["title"]).'</option>';
			}
		}
?>
							</select><br/>
							<a href="javascript:removeFromFamily();">Remove Selected</a>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes" />
		<input type="reset" value="Reset form" />
	</div>
</form>
<?php
	}
	else
	{
		pageHeader("Recommended Products (Family)", "", "icb-chat-exclamation");
		AccessManager::notAllowed();
	}
