<?php

	if (!defined("ENV")) exit();

	//$db->query("SELECT * FROM ".DB_PREFIX."admins WHERE aid='".intval($admin_auth_id)."'");

	if (isset($_GET['unlink']) && $_GET['unlink'])
	{
		$db->reset();
		$db->assignStr('openid_provider', '');
		$db->assignStr('openid', '');
		$db->update(DB_PREFIX.'admins', ' WHERE aid='.intval($admin_auth_id));
		header('Location: admin.php?p=profile');
		exit();
	}

	require_once 'content/vendors/lightopenid/openid.php';
	$openid = new LightOpenID($settings['GlobalHttpsUrl']);

	if (!$openid->mode)
	{
		$openid->identity = 'https://openid.intuit.com/Identity-'.getpp();

		$openid->required = array('contact/email');
		$openid->optional = array('namePerson', 'namePerson/friendly');
		header('Location: ' . $openid->authUrl());
		exit();
	}
	else if ($openid->mode != 'cancel' && $openid->validate())
	{
		$identity = $openid->identity;

		$db->reset();
		$db->assignStr('openid_provider', 'intuit');
		$db->assignStr('openid', $identity);
		$db->update(DB_PREFIX.'admins', ' WHERE aid='.intval($admin_auth_id));
		if (isset($_GET['force']) && $_GET['force'])
		{
			header('Location: admin.php');	
		}
		else
		{
			header('Location: admin.php?p=profile');
		}
		exit();
	}