<?php
	if (!defined("ENV")) exit();
?>
<div class="admin-form-header">
	<div class="admin-form-header-buttons">
		<a href="<?php echo $_SERVER["PHP_SELF"]."?".($_SERVER["QUERY_STRING"]);?>&printing" target="_blank" title="Print Report"><span class="icon ic-icon ic-printer"></span></a>
	</div>
	<span class="icon ic-icon ic-list"></span>Top Viewed Products (<?php echo GetReportDate();?>)
</div>
<?php
	$db->query("
		SELECT 
			".DB_PREFIX."statistics.*,
			COUNT(*) AS views,
			".DB_PREFIX."products.product_id
		FROM ".DB_PREFIX."statistics
		LEFT JOIN ".DB_PREFIX."products ON ".DB_PREFIX."products.pid = ".DB_PREFIX."statistics.id
		WHERE 
			".DB_PREFIX."statistics.visit_date >= '".$mysql_from."' AND 
			".DB_PREFIX."statistics.visit_date <= '".$mysql_to."' AND 
			".DB_PREFIX."statistics.page='product'
		GROUP BY ".DB_PREFIX."statistics.id
		ORDER BY
			views DESC
	");
	
	if ($db->numRows()>0)
	{
?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table admin-stat-table">
	<thead>
		<tr>
			<th class="item-num">#</th>
			<th width="20%">Product ID</th>
			<th>Product Name</th>
			<th class="stat-bar">&nbsp;</th>
			<th class="text-align-right" width="10%">Views</th>
		</tr>
	</thead>
	<tbody>
<?php
		$total = 0;
		$i = 0;
		$ruler = 0;
		
		while ($db->moveNext())
		{
			$total += $db->col["views"];
			if ($i == 0)
			{
				$ruler = 100 / $db->col["views"];
			}
?>
			<tr>
				<td class="item-num"><?php echo $i+1;?></td>
				<td><?php echo gs(trim($db->col["product_id"]) == "" ? "n/a" : $db->col["product_id"]);?></td>
				<td><?php echo gs($db->col["caption"]);?></td>
				<td class="stat-bar"><?php echo GetStatBar($db->col["views"] * $ruler);?></td>
				<td class="text-align-right"><?php echo $db->col["views"];?></td>
			</tr>

<?php
			$i++;
		}
?>	
	</tbody>
	<tfoot>
		<tr>
			<td colspan="5" class="text-align-right">Total views: <?php echo $total;?></td>
		</tr>
	</tfoot>
</table>
<?php
	}
	else
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>"No data available for selected period", "url"=>"", "visible"=>true)
		));
	}
