<?php

class Admin_CategoryProcess
{
	public static function getCategory($cid, $db)
	{
		$cid = intval($cid);

		$db->query("SELECT * FROM ".DB_PREFIX."catalog WHERE cid='".$cid."'");
		if ($ret = $db->moveNext())
		{
			return $ret;
		}
		return null;
	}

	public static function canRemoveCategory($cid, $db)
	{
		$db->query("SELECT * FROM ".DB_PREFIX."catalog WHERE parent='".$cid."'");
		$subcategories = $db->numRows();
		$db->query("SELECT * FROM ".DB_PREFIX."products WHERE cid='".$cid."'");
		$products = $db->numRows();

		return $subcategories == 0 && $products == 0;
	}

	public static function bulkDeleteCategories($cids, $db)
	{
		if (trim($cids) == '' || $cids == null)
			return false;

		$cids_array = explode(',', trim($cids));

		$categories_deleted = array();
		foreach ($cids_array as $cid)
		{
			if (self::canRemoveCategory($cid,$db))
			{
				if (!self::deleteCategory($cid, $db))
					$categories_deleted[] = $cid;
			}
			else
			{
				$categories_deleted[] = $cid;
			}
		}

		return $categories_deleted;
	}

	public static function deleteCategory($cid, $db)
	{
		$file_utils = file_utils::getInstance();

		$cid = intval($cid);
		if ($cid == 0)
			return false;

		$db->query("SELECT * FROM ".DB_PREFIX."catalog WHERE cid='".$cid."'");
		if ($db->moveNext())
		{
			if(!self::IsDemo())
			{
				$db->query("DELETE FROM ".DB_PREFIX."catalog_attributes WHERE cid='".$cid."'");
				$file_utils->unlink("images/catalog/category".$cid.".jpg");
				$file_utils->unlink("images/catalog/category".$cid.".gif");
				$file_utils->unlink("images/catalog/category".$cid.".png");
				$file_utils->unlink("images/catalog/thumbs/category".$cid.".jpg");
				$file_utils->unlink("images/catalog/thumbs/category".$cid.".gif");
				$file_utils->unlink("images/catalog/thumbs/category".$cid.".png");
				$db->query("DELETE FROM ".DB_PREFIX."catalog WHERE cid='".$cid."'");
			}
			return true;
		}
		return false;
	}

	public static function IsDemo()
	{
		if (defined('DEMO_LOCK'))
		{
			return DEMO_LOCK;
		}
		return false;
	}
	
	public static function uploadImage($source, $destination, $is_thumb = false)
	{
		// Validate the image
		$image_data = @getimagesize($source);
		
		if (!ImageUtility::isValidExtension($image_data[2]))
		{
			throw new Exception('Invalid image file type. Extension not supported.', 1001);
		}
		
		ImageUtility::removeExistingImagesByName($destination);

		if ($is_thumb)
		{
			generateCategoryThumb($source, $destination);
		}
		else
		{
			generateCategoryImage($source, $destination);
		}

		@chmod($destination, getFilePermissionMode());
	}
}