<?php
	
	// Make a note that Moneybookers is not available in OPC at the moment
	if (in_array($id, array('moneybookersacc', 'moneybookersewallet')))
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>'<b>Please note: Moneybookers will work in Traditional Checkout only. <a href="admin.php?p=settings&group=4">Please click here to change checkout methods</a></b>', "url"=>"", "visible"=>true)
		));
	}
	if (in_array($id, array('moneybookers')))
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>'<b>Please note: Moneybookers will work in One Page Checkout only. <a href="admin.php?p=settings&group=4">Please click here to change checkout methods</a></b>', "url"=>"", "visible"=>true)
		));		
	}

	$validate_email_response = '';
	$validate_secret_word_response = '';
	
	// START => MoneyBookers Validation Status //
	if ((array_key_exists('validateemail', $_POST) || array_key_exists('validatesecretword', $_POST)) && $gate_settings[$id.'_email_id'] && $gate_settings[$id.'_customer_id'] && $gate_settings[$id.'_secret_word'])
	{
		$moneybookersemailid = $gate_settings[$id.'_email_id'];
		$moneybookerscustid = $gate_settings[$id.'_customer_id'];
		$gate_settings[$id.'_secret_word'];
		$moneybookerssecretword = md5($gate_settings[$id.'_secret_word']);
		$platformsecretword = md5($gate_settings[$id.'_secret_word']);
		$secretwordchk = md5($moneybookerssecretword.$platformsecretword);
		
		if (array_key_exists('validateemail', $_POST))
		{
			$mbookersemailurl = "https://www.moneybookers.com/app/email_check.pl?email=".$moneybookersemailid
				."&cust_id=".$moneybookerscustid
				."&password=".$moneybookerssecretword;
			
			$emailreturnval = '<iframe src='.$mbookersemailurl.' frameborder="0" height="30"></iframe>';
			
			pageNote(array(
				array("", "text"=>'<strong>MoneyBookers Email Validation Status: </strong><div>'.$emailreturnval.'</div><p><a href="#" class="moneybookers-status-identifier">What does this mean?</a></p>
				<div class="moneybookers-status-text" style="display: none;">
					<p><strong>OK &ndash;</strong>The email check has been successful. The customer ID will be shown as well. </p>
					<p><strong>NOK &ndash;</strong> The email address is invalid or has not been registered.</p>
					
					<p><a href="https://www.moneybookers.com/app/register.pl" target="_blank">Click here to register for a free account if you don\'t have one yet.</a></p>
				</div>
				', "url"=>"", "visible"=>true)));
		}
	
		if (array_key_exists('validatesecretword', $_POST))
		{
			$mbookersemailurl="https://www.moneybookers.com/app/secret_word_check.pl?email=".$moneybookersemailid."&cust_id=".$moneybookerscustid."&secret=".$secretwordchk;
			$emailreturnval="<iframe src=".$mbookersemailurl." height=45 frameborder=0></iframe>";
			pageNote(array(
			array("icon"=>"", "text"=>'<strong>MoneyBookers Secret Word Validation Status: </strong><div>'.$emailreturnval.'</div><p><a href="#" class="moneybookers-status-identifier">What does this mean?</a></p>
				<div class="moneybookers-status-text" style="display: none;">
					<p><strong>OK &ndash;</strong> Secret Word has been validated successfully.</p>
					<p><strong>NOK &ndash;</strong> Secret Word is invalid.</p>
				</div>
			', "url"=>"", "visible"=>true)));  
		}
	}
	
	if (array_key_exists('activequickcheckout', $_POST))
	{
		function sendmailtomoneybookers($from,$to,$subject,$message)
		{
			$eol_character = getMailHeaderEolCharacter();
			$headers  = "MIME-Version: 1.0".$eol_character;
			$headers .= "Content-type: text/html; charset=iso-8859-1".$eol_character;
			$headers .= "From: ".$from." ".$eol_character;
			
			return (mail($to,$subject,$message,$headers));
		}
	
		$subject = 'Activate Quick Checkout';
		$message = "<font face=verdana size=2>";
		$message .= "Hi ".',<br><br>';
		$message .= "<div align=\"left\"></div><br>";
		$message .= "<div align=\"left\">First Name : ".$gate_settings['moneybookers_firstname']."</div>";
		$message .= "<div align=\"left\">Last Name : ".$gate_settings['moneybookers_lastname']."</div>";
		$message .= "<div align=\"left\">Email Address : ".$gate_settings['moneybookers_email_id']."</div>";
		$message .= "<div align=\"left\">Customer ID : ".$gate_settings['moneybookers_customer_id']."</div>";
		$message .= "<div align=\"left\">URL of merchant's shop : ".$gate_settings['moneybookers_shop_url']."</div>";
		$message .= "<div align=\"left\">Language : ".$gate_settings['moneybookers_language']."</div>";
		$message .= "<div align=\"left\">Thanks,<br></div>";
		$message .= "<div align=\"left\">".$gate_settings['moneybookers_firstname']."</div><br>";
		$message .= "</font>";
		
		$date = date('Y-m-d');
	
		if (sendmailtomoneybookers('ecommerce@moneybookers.com',$gate_settings['moneybookers_email_id'],$subject,$message))
		{
			$successmsg= "You have sent a request for activation on the $date. Please be aware that the verification process to use Moneybookers Quick Checkout could take up to 72 hours.  You will be contacted by Moneybookers when the verification process has been completed";
		}
		
		pageNote(array(
			array("class"=>"ic-info", "text"=>"<b>$successmsg</b>", "url"=>"", "visible"=>true)
		));
	}
	
	// END => MoneyBookers Validation Status //